// --atomics 90 ---fake_divergence -g 13,63,5 -l 13,7,1
#define int64_t long
#define uint64_t ulong
#define int_least64_t long
#define uint_least64_t ulong
#define int_fast64_t long
#define uint_fast64_t ulong
#define intmax_t long
#define uintmax_t ulong
#define int32_t int
#define uint32_t uint
#define int16_t short
#define uint16_t ushort
#define int8_t char
#define uint8_t uchar

#define INT64_MIN LONG_MIN
#define INT64_MAX LONG_MAX
#define INT32_MIN INT_MIN
#define INT32_MAX INT_MAX
#define INT16_MIN SHRT_MIN
#define INT16_MAX SHRT_MAX
#define INT8_MIN CHAR_MIN
#define INT8_MAX CHAR_MAX
#define UINT64_MIN ULONG_MIN
#define UINT64_MAX ULONG_MAX
#define UINT32_MIN UINT_MIN
#define UINT32_MAX UINT_MAX
#define UINT16_MIN USHRT_MIN
#define UINT16_MAX USHRT_MAX
#define UINT8_MIN UCHAR_MIN
#define UINT8_MAX UCHAR_MAX

#define transparent_crc(X, Y, Z) transparent_crc_(&crc64_context, X, Y, Z)

#define VECTOR(X , Y) VECTOR_(X, Y)
#define VECTOR_(X, Y) X##Y

#ifndef NO_GROUP_DIVERGENCE
#define GROUP_DIVERGE(x, y) get_group_id(x)
#else
#define GROUP_DIVERGE(x, y) (y)
#endif

#ifndef NO_FAKE_DIVERGENCE
#define FAKE_DIVERGE(x, y, z) (x - y)
#else
#define FAKE_DIVERGE(x, y, z) (z)
#endif


// Seed: 116

#include "CLSmith.h"

/* --- Struct/Union Declarations --- */
struct S0 {
   volatile uint8_t  f0;
};

struct S1 {
   uint32_t  f0;
   volatile struct S0  f1;
   int8_t  f2;
   volatile uint32_t  f3;
   int64_t  f4;
   volatile int8_t  f5;
   int32_t  f6;
   volatile uint64_t  f7;
};

union U2 {
   int8_t  f0;
   struct S1  f1;
};

struct S3 {
    uint32_t g_10;
    int32_t g_25;
    int32_t *g_24;
    int32_t g_30;
    int32_t * volatile g_29;
    union U2 g_35;
    uint8_t g_60;
    int16_t g_77;
    uint64_t g_79;
    int16_t g_84;
    int64_t g_86;
    uint64_t g_92[6];
    int16_t g_133[3];
    uint8_t g_135[1];
    uint16_t g_138;
    int16_t g_140;
    uint8_t g_166[9];
    int8_t g_188[8][5][1];
    uint8_t g_189;
    int32_t g_191;
    int32_t g_223;
    int16_t *g_234;
    int32_t **g_260[10];
    int32_t ***g_259;
    struct S0 g_296;
    struct S0 g_297;
    uint16_t g_316;
    struct S0 g_330;
    struct S0 *g_329[3];
    struct S0 g_333;
    uint64_t g_388;
    int32_t g_408;
    int32_t g_413;
    int32_t g_415[1][8];
    uint32_t g_416;
    union U2 g_418;
    union U2 g_419;
    union U2 g_420;
    union U2 g_421[5][9];
    union U2 g_422;
    union U2 g_423;
    union U2 g_424;
    union U2 g_425;
    union U2 *g_417[2][6][6];
    struct S0 g_579[7];
    struct S0 * volatile g_581;
    volatile union U2 g_629;
    volatile struct S0 g_646;
    struct S1 g_649[5][6][3];
    struct S1 * volatile g_650;
    int32_t ** volatile g_652;
    union U2 g_712;
    volatile struct S0 g_764;
    int32_t * volatile g_776[2];
    int32_t * volatile g_777;
    int32_t * volatile g_778;
    int32_t * volatile g_779;
    struct S1 g_855;
    union U2 g_872;
    struct S0 *g_922;
    volatile struct S0 *g_937;
    volatile struct S0 **g_936[4][4][2];
    volatile struct S0 ***g_935;
    volatile uint8_t * volatile g_948;
    volatile struct S0 g_955;
    int32_t *g_963;
    int32_t **g_962[3][9];
    int32_t *** volatile g_961[5][5];
    int32_t *** volatile g_964;
    volatile struct S1 g_988;
    volatile struct S1 * volatile g_989;
    uint32_t g_1014;
    struct S1 * volatile g_1048;
    int32_t ** volatile g_1065;
    int64_t g_1099;
    int32_t ** volatile g_1106;
    union U2 **g_1115;
    int16_t g_1127;
    volatile uint64_t g_1135[2];
    volatile uint64_t * volatile g_1134;
    volatile uint64_t * volatile * volatile g_1133;
    volatile union U2 g_1154;
    struct S0 g_1155[7][1][4];
    volatile struct S1 g_1160;
    struct S1 g_1187[7][3][7];
    struct S1 * volatile g_1188;
    volatile struct S0 g_1209;
    volatile struct S1 g_1214;
    int32_t g_1219;
    int32_t ** volatile g_1229;
    int32_t ** volatile g_1230;
    uint64_t global_0_offset;
    uint64_t global_1_offset;
    uint64_t global_2_offset;
    uint64_t local_0_offset;
    uint64_t local_1_offset;
    uint64_t local_2_offset;
    uint64_t group_0_offset;
    uint64_t group_1_offset;
    uint64_t group_2_offset;
    __local volatile uint32_t *l_atomic_input;
    __local volatile uint32_t *l_special_values;
    __global volatile uint32_t *g_atomic_input;
    __global volatile uint32_t *g_special_values;
};


/* --- FORWARD DECLARATIONS --- */
int8_t  func_1(struct S3 * p_1231);
int32_t * func_2(uint16_t  p_3, int8_t  p_4, int32_t * p_5, uint64_t  p_6, struct S3 * p_1231);
uint64_t  func_13(int64_t  p_14, uint64_t  p_15, int32_t  p_16, int32_t  p_17, uint32_t  p_18, struct S3 * p_1231);
int8_t  func_19(int16_t  p_20, int32_t * p_21, struct S3 * p_1231);
int16_t  func_22(int32_t * p_23, struct S3 * p_1231);
struct S0  func_26(int16_t  p_27, struct S3 * p_1231);
int8_t  func_36(int32_t * p_37, int64_t  p_38, uint64_t  p_39, int64_t  p_40, uint8_t  p_41, struct S3 * p_1231);
int32_t * func_46(int32_t * p_47, struct S3 * p_1231);
int32_t * func_48(int32_t * p_49, int64_t  p_50, struct S3 * p_1231);
int8_t  func_67(int64_t  p_68, uint64_t  p_69, uint32_t  p_70, int32_t * p_71, struct S3 * p_1231);


/* --- FUNCTIONS --- */
/* ------------------------------------------ */
/* 
 * reads : p_1231->g_10 p_1231->g_24 p_1231->g_25 p_1231->g_29 p_1231->g_30 p_1231->g_35 p_1231->g_60 p_1231->g_79 p_1231->g_84 p_1231->g_92 p_1231->g_86 p_1231->g_140 p_1231->g_135 p_1231->g_133 p_1231->g_166 p_1231->g_35.f0 p_1231->g_191 p_1231->g_223 p_1231->g_188 p_1231->g_138 p_1231->g_260 p_1231->g_77 p_1231->g_329 p_1231->g_316 p_1231->g_189 p_1231->g_425.f0 p_1231->g_418.f0 p_1231->g_388 p_1231->g_416 p_1231->g_408 p_1231->g_415 p_1231->g_420.f0 p_1231->g_419.f0 p_1231->g_296.f0 p_1231->g_579 p_1231->g_424.f1.f2 p_1231->g_296 p_1231->g_424.f0 p_1231->g_855.f1.f0 p_1231->g_988 p_1231->g_989 p_1231->g_35.f1.f0 p_1231->g_424 p_1231->g_948 p_1231->g_330.f0 p_1231->g_1014 p_1231->g_855.f3 p_1231->g_423.f1.f6 p_1231->g_650 p_1231->g_649 p_1231->g_855.f6 p_1231->g_712.f0 p_1231->g_1106 p_1231->g_1133 p_1231->g_922 p_1231->g_1099 p_1231->g_1154 p_1231->g_1155 p_1231->g_1160 p_1231->g_1115 p_1231->g_1134 p_1231->g_1135 p_1231->g_1187 p_1231->g_1209 p_1231->g_1214 p_1231->g_1127 p_1231->g_1219 p_1231->g_855.f0 p_1231->g_1230
 * writes: p_1231->g_10 p_1231->g_30 p_1231->g_25 p_1231->g_60 p_1231->g_77 p_1231->g_79 p_1231->g_84 p_1231->g_86 p_1231->g_24 p_1231->g_133 p_1231->g_140 p_1231->g_166 p_1231->g_188 p_1231->g_189 p_1231->g_191 p_1231->g_135 p_1231->g_223 p_1231->g_234 p_1231->g_138 p_1231->g_259 p_1231->g_316 p_1231->g_92 p_1231->g_388 p_1231->g_418.f1.f0 p_1231->g_424.f1.f2 p_1231->g_419.f1.f4 p_1231->g_425.f1.f4 p_1231->g_296 p_1231->g_421.f1.f2 p_1231->g_988 p_1231->g_35.f1.f0 p_1231->g_712.f1.f4 p_1231->g_1014 p_1231->g_423.f1.f6 p_1231->g_855.f2 p_1231->g_649 p_1231->g_418.f1.f2 p_1231->g_419.f1.f0 p_1231->g_712.f0 p_1231->g_855.f6 p_1231->g_424.f0 p_1231->g_1115 p_1231->g_1133 p_1231->g_922 p_1231->g_1099 p_1231->g_421.f0 p_1231->g_418.f1.f4 p_1231->g_417 p_1231->g_962 p_1231->g_424.f1.f6 p_1231->g_419.f1.f6 p_1231->g_425.f1 p_1231->g_423.f1.f4 p_1231->g_1214
 */
int8_t  func_1(struct S3 * p_1231)
{ /* block id: 4 */
    int8_t l_7[8] = {0x4FL,0x4FL,0x4FL,0x4FL,0x4FL,0x4FL,0x4FL,0x4FL};
    int32_t *l_982 = (void*)0;
    int32_t **l_1228 = &l_982;
    int i;
    (*p_1231->g_1230) = ((*l_1228) = func_2(((l_7[4] == (safe_mod_func_int16_t_s_s((-4L), 0x1943L))) >= l_7[3]), ((((++p_1231->g_10) , (p_1231->g_10 , (func_13((func_19(func_22(p_1231->g_24, p_1231), l_982, p_1231) == l_7[4]), p_1231->g_1127, p_1231->g_1187[2][2][2].f6, p_1231->g_1187[2][2][2].f0, p_1231->g_415[0][7], p_1231) > p_1231->g_1219))) > 0x20F2BE92L) > p_1231->g_855.f0), l_982, l_7[6], p_1231));
    return p_1231->g_649[2][5][0].f7;
}


/* ------------------------------------------ */
/* 
 * reads : p_1231->g_948 p_1231->g_330.f0 p_1231->g_223
 * writes: p_1231->g_223
 */
int32_t * func_2(uint16_t  p_3, int8_t  p_4, int32_t * p_5, uint64_t  p_6, struct S3 * p_1231)
{ /* block id: 617 */
    int8_t l_1220 = 0x23L;
    int32_t *l_1227 = &p_1231->g_223;
    (*l_1227) ^= (~(l_1220 & (p_6 <= (safe_mod_func_int32_t_s_s(((safe_rshift_func_uint8_t_u_u((*p_1231->g_948), 4)) | l_1220), (safe_add_func_uint32_t_u_u(p_4, 0x0BCBCE78L)))))));
    return l_1227;
}


/* ------------------------------------------ */
/* 
 * reads :
 * writes:
 */
uint64_t  func_13(int64_t  p_14, uint64_t  p_15, int32_t  p_16, int32_t  p_17, uint32_t  p_18, struct S3 * p_1231)
{ /* block id: 614 */
    int32_t l_1217 = 7L;
    int32_t l_1218[9] = {(-8L),0x6CF2B4DAL,(-8L),(-8L),0x6CF2B4DAL,(-8L),(-8L),0x6CF2B4DAL,(-8L)};
    int i;
    l_1218[0] = l_1217;
    return l_1218[0];
}


/* ------------------------------------------ */
/* 
 * reads : p_1231->g_30 p_1231->g_24 p_1231->g_25 p_1231->g_988 p_1231->g_989 p_1231->g_29 p_1231->g_35.f1.f0 p_1231->g_424 p_1231->g_133 p_1231->g_948 p_1231->g_330.f0 p_1231->g_189 p_1231->g_166 p_1231->g_79 p_1231->g_191 p_1231->g_84 p_1231->g_1014 p_1231->g_855.f3 p_1231->g_135 p_1231->g_408 p_1231->g_423.f1.f6 p_1231->g_650 p_1231->g_649 p_1231->g_855.f6 p_1231->g_223 p_1231->g_10 p_1231->g_712.f0 p_1231->g_424.f0 p_1231->g_86 p_1231->g_1106 p_1231->g_188 p_1231->g_1133 p_1231->g_35 p_1231->g_60 p_1231->g_92 p_1231->g_140 p_1231->g_35.f0 p_1231->g_138 p_1231->g_260 p_1231->g_77 p_1231->g_329 p_1231->g_316 p_1231->g_425.f0 p_1231->g_418.f0 p_1231->g_388 p_1231->g_416 p_1231->g_415 p_1231->g_420.f0 p_1231->g_419.f0 p_1231->g_296.f0 p_1231->g_579 p_1231->g_922 p_1231->g_1099 p_1231->g_1154 p_1231->g_1155 p_1231->g_1160 p_1231->g_1115 p_1231->g_1134 p_1231->g_1135 p_1231->g_1187 p_1231->g_1209 p_1231->g_1214
 * writes: p_1231->g_133 p_1231->g_30 p_1231->g_25 p_1231->g_988 p_1231->g_35.f1.f0 p_1231->g_712.f1.f4 p_1231->g_1014 p_1231->g_388 p_1231->g_10 p_1231->g_423.f1.f6 p_1231->g_855.f2 p_1231->g_649 p_1231->g_418.f1.f2 p_1231->g_419.f1.f0 p_1231->g_712.f0 p_1231->g_855.f6 p_1231->g_24 p_1231->g_135 p_1231->g_424.f0 p_1231->g_188 p_1231->g_1115 p_1231->g_189 p_1231->g_1133 p_1231->g_922 p_1231->g_60 p_1231->g_77 p_1231->g_79 p_1231->g_84 p_1231->g_86 p_1231->g_140 p_1231->g_166 p_1231->g_191 p_1231->g_223 p_1231->g_234 p_1231->g_138 p_1231->g_259 p_1231->g_316 p_1231->g_92 p_1231->g_418.f1.f0 p_1231->g_424.f1.f2 p_1231->g_419.f1.f4 p_1231->g_425.f1.f4 p_1231->g_296 p_1231->g_1099 p_1231->g_421.f0 p_1231->g_418.f1.f4 p_1231->g_417 p_1231->g_962 p_1231->g_424.f1.f6 p_1231->g_419.f1.f6 p_1231->g_425.f1 p_1231->g_423.f1.f4 p_1231->g_1214
 */
int8_t  func_19(int16_t  p_20, int32_t * p_21, struct S3 * p_1231)
{ /* block id: 484 */
    int16_t *l_983 = &p_1231->g_133[2];
    union U2 *l_986 = &p_1231->g_424;
    int32_t *l_991[7] = {&p_1231->g_855.f6,&p_1231->g_30,&p_1231->g_855.f6,&p_1231->g_855.f6,&p_1231->g_30,&p_1231->g_855.f6,&p_1231->g_855.f6};
    int i;
    if ((((*l_983) = p_20) < p_20))
    { /* block id: 486 */
        uint8_t l_990 = 1UL;
        int32_t l_999 = 2L;
        int16_t **l_1002 = (void*)0;
        int16_t ***l_1003 = &l_1002;
        int64_t *l_1008 = &p_1231->g_712.f1.f4;
        int32_t l_1015 = 0x0AEC909BL;
        int32_t ****l_1025 = &p_1231->g_259;
        uint8_t l_1058 = 0x9EL;
        int32_t *l_1059 = &p_1231->g_855.f6;
        int32_t l_1098[7] = {0x43E12947L,0x0AB75C9DL,0x43E12947L,0x43E12947L,0x0AB75C9DL,0x43E12947L,0x43E12947L};
        int16_t l_1100 = 0L;
        uint16_t l_1103 = 65533UL;
        int32_t l_1129 = 0L;
        uint32_t l_1141 = 0x359F6641L;
        int i;
        for (p_1231->g_30 = (-22); (p_1231->g_30 >= (-25)); --p_1231->g_30)
        { /* block id: 489 */
            union U2 **l_987 = &l_986;
            (*p_1231->g_24) |= (((*l_987) = l_986) == &p_1231->g_424);
            (*p_1231->g_989) = p_1231->g_988;
            if (l_990)
                break;
        }
        (*p_1231->g_24) = (*p_1231->g_29);
        for (p_1231->g_35.f1.f0 = 1; (p_1231->g_35.f1.f0 <= 5); p_1231->g_35.f1.f0 += 1)
        { /* block id: 498 */
            int32_t **l_992 = &l_991[5];
            (*l_992) = l_991[5];
        }
        if (((l_990 && (safe_sub_func_uint8_t_u_u(l_990, ((((safe_lshift_func_int8_t_s_s(((((p_20 | (safe_lshift_func_uint8_t_u_s(l_999, (safe_div_func_uint8_t_u_u(((l_999 >= (((*l_1003) = l_1002) != (((*l_1008) = (safe_sub_func_uint64_t_u_u(((*l_986) , (((p_1231->g_133[0] && ((+((*p_1231->g_24) &= (safe_add_func_int8_t_s_s(((*p_1231->g_948) > p_1231->g_189), l_990)))) < p_20)) <= 1UL) | p_1231->g_166[2])), p_1231->g_79))) , &p_1231->g_234))) ^ p_1231->g_191), p_20))))) == p_1231->g_84) , (*p_1231->g_948)) == l_990), p_1231->g_133[2])) != l_999) ^ p_20) , p_20)))) == p_20))
        { /* block id: 504 */
            uint32_t *l_1013[2][4] = {{(void*)0,(void*)0,(void*)0,(void*)0},{(void*)0,(void*)0,(void*)0,(void*)0}};
            int32_t l_1016 = (-10L);
            uint64_t *l_1042[6][10][4] = {{{(void*)0,&p_1231->g_388,&p_1231->g_388,&p_1231->g_79},{(void*)0,&p_1231->g_388,&p_1231->g_388,&p_1231->g_79},{(void*)0,&p_1231->g_388,&p_1231->g_388,&p_1231->g_79},{(void*)0,&p_1231->g_388,&p_1231->g_388,&p_1231->g_79},{(void*)0,&p_1231->g_388,&p_1231->g_388,&p_1231->g_79},{(void*)0,&p_1231->g_388,&p_1231->g_388,&p_1231->g_79},{(void*)0,&p_1231->g_388,&p_1231->g_388,&p_1231->g_79},{(void*)0,&p_1231->g_388,&p_1231->g_388,&p_1231->g_79},{(void*)0,&p_1231->g_388,&p_1231->g_388,&p_1231->g_79},{(void*)0,&p_1231->g_388,&p_1231->g_388,&p_1231->g_79}},{{(void*)0,&p_1231->g_388,&p_1231->g_388,&p_1231->g_79},{(void*)0,&p_1231->g_388,&p_1231->g_388,&p_1231->g_79},{(void*)0,&p_1231->g_388,&p_1231->g_388,&p_1231->g_79},{(void*)0,&p_1231->g_388,&p_1231->g_388,&p_1231->g_79},{(void*)0,&p_1231->g_388,&p_1231->g_388,&p_1231->g_79},{(void*)0,&p_1231->g_388,&p_1231->g_388,&p_1231->g_79},{(void*)0,&p_1231->g_388,&p_1231->g_388,&p_1231->g_79},{(void*)0,&p_1231->g_388,&p_1231->g_388,&p_1231->g_79},{(void*)0,&p_1231->g_388,&p_1231->g_388,&p_1231->g_79},{(void*)0,&p_1231->g_388,&p_1231->g_388,&p_1231->g_79}},{{(void*)0,&p_1231->g_388,&p_1231->g_388,&p_1231->g_79},{(void*)0,&p_1231->g_388,&p_1231->g_388,&p_1231->g_79},{(void*)0,&p_1231->g_388,&p_1231->g_388,&p_1231->g_79},{(void*)0,&p_1231->g_388,&p_1231->g_388,&p_1231->g_79},{(void*)0,&p_1231->g_388,&p_1231->g_388,&p_1231->g_79},{(void*)0,&p_1231->g_388,&p_1231->g_388,&p_1231->g_79},{(void*)0,&p_1231->g_388,&p_1231->g_388,&p_1231->g_79},{(void*)0,&p_1231->g_388,&p_1231->g_388,&p_1231->g_79},{(void*)0,&p_1231->g_388,&p_1231->g_388,&p_1231->g_79},{(void*)0,&p_1231->g_388,&p_1231->g_388,&p_1231->g_79}},{{(void*)0,&p_1231->g_388,&p_1231->g_388,&p_1231->g_79},{(void*)0,&p_1231->g_388,&p_1231->g_388,&p_1231->g_79},{(void*)0,&p_1231->g_388,&p_1231->g_388,&p_1231->g_79},{(void*)0,&p_1231->g_388,&p_1231->g_388,&p_1231->g_79},{(void*)0,&p_1231->g_388,&p_1231->g_388,&p_1231->g_79},{(void*)0,&p_1231->g_388,&p_1231->g_388,&p_1231->g_79},{(void*)0,&p_1231->g_388,&p_1231->g_388,&p_1231->g_79},{(void*)0,&p_1231->g_388,&p_1231->g_388,&p_1231->g_79},{(void*)0,&p_1231->g_388,&p_1231->g_388,&p_1231->g_79},{(void*)0,&p_1231->g_388,&p_1231->g_388,&p_1231->g_79}},{{(void*)0,&p_1231->g_388,&p_1231->g_388,&p_1231->g_79},{(void*)0,&p_1231->g_388,&p_1231->g_388,&p_1231->g_79},{(void*)0,&p_1231->g_388,&p_1231->g_388,&p_1231->g_79},{(void*)0,&p_1231->g_388,&p_1231->g_388,&p_1231->g_79},{(void*)0,&p_1231->g_388,&p_1231->g_388,&p_1231->g_79},{(void*)0,&p_1231->g_388,&p_1231->g_388,&p_1231->g_79},{(void*)0,&p_1231->g_388,&p_1231->g_388,&p_1231->g_79},{(void*)0,&p_1231->g_388,&p_1231->g_388,&p_1231->g_79},{(void*)0,&p_1231->g_388,&p_1231->g_388,&p_1231->g_79},{(void*)0,&p_1231->g_388,&p_1231->g_388,&p_1231->g_79}},{{(void*)0,&p_1231->g_388,&p_1231->g_388,&p_1231->g_79},{(void*)0,&p_1231->g_388,&p_1231->g_388,&p_1231->g_79},{(void*)0,&p_1231->g_388,&p_1231->g_388,&p_1231->g_79},{(void*)0,&p_1231->g_388,&p_1231->g_388,&p_1231->g_79},{(void*)0,&p_1231->g_388,&p_1231->g_388,&p_1231->g_79},{(void*)0,&p_1231->g_388,&p_1231->g_388,&p_1231->g_79},{(void*)0,&p_1231->g_388,&p_1231->g_388,&p_1231->g_79},{(void*)0,&p_1231->g_388,&p_1231->g_388,&p_1231->g_79},{(void*)0,&p_1231->g_388,&p_1231->g_388,&p_1231->g_79},{(void*)0,&p_1231->g_388,&p_1231->g_388,&p_1231->g_79}}};
            int32_t l_1043[3];
            int i, j, k;
            for (i = 0; i < 3; i++)
                l_1043[i] = 6L;
            l_1043[1] |= (l_999 > ((safe_div_func_uint16_t_u_u(((((++p_1231->g_1014) , ((((safe_add_func_int8_t_s_s((safe_rshift_func_int16_t_s_u(((p_1231->g_10 = (((safe_rshift_func_uint8_t_u_s((l_1025 != (void*)0), (((void*)0 != &l_983) , p_20))) >= (((*p_1231->g_24) ^= (safe_add_func_uint32_t_u_u((safe_mod_func_int8_t_s_s((safe_rshift_func_uint8_t_u_s((safe_rshift_func_int16_t_s_s(0x2695L, ((safe_mod_func_uint64_t_u_u((p_20 , (p_1231->g_388 = ((safe_mod_func_uint16_t_u_u((safe_sub_func_int8_t_s_s((safe_add_func_int16_t_s_s(p_20, (-7L))), p_20)), FAKE_DIVERGE(p_1231->global_1_offset, get_global_id(1), 10))) & 0xC7B86FC7L))), p_1231->g_855.f3)) ^ p_1231->g_135[0]))), 6)), p_1231->g_84)), p_20))) == l_1016)) <= 0L)) & p_20), p_1231->g_166[2])), 252UL)) <= FAKE_DIVERGE(p_1231->global_2_offset, get_global_id(2), 10)) || p_1231->g_191) != p_20)) == p_20) >= 0x1B57L), 5L)) <= p_1231->g_408));
        }
        else
        { /* block id: 510 */
            uint32_t l_1057 = 0x02094142L;
            int32_t l_1069 = 0x116F9F6AL;
            uint32_t l_1092[4];
            int32_t l_1097[3][6] = {{(-1L),(-1L),(-1L),(-1L),(-1L),(-1L)},{(-1L),(-1L),(-1L),(-1L),(-1L),(-1L)},{(-1L),(-1L),(-1L),(-1L),(-1L),(-1L)}};
            int32_t l_1102[9][5][4] = {{{7L,(-6L),7L,7L},{7L,(-6L),7L,7L},{7L,(-6L),7L,7L},{7L,(-6L),7L,7L},{7L,(-6L),7L,7L}},{{7L,(-6L),7L,7L},{7L,(-6L),7L,7L},{7L,(-6L),7L,7L},{7L,(-6L),7L,7L},{7L,(-6L),7L,7L}},{{7L,(-6L),7L,7L},{7L,(-6L),7L,7L},{7L,(-6L),7L,7L},{7L,(-6L),7L,7L},{7L,(-6L),7L,7L}},{{7L,(-6L),7L,7L},{7L,(-6L),7L,7L},{7L,(-6L),7L,7L},{7L,(-6L),7L,7L},{7L,(-6L),7L,7L}},{{7L,(-6L),7L,7L},{7L,(-6L),7L,7L},{7L,(-6L),7L,7L},{7L,(-6L),7L,7L},{7L,(-6L),7L,7L}},{{7L,(-6L),7L,7L},{7L,(-6L),7L,7L},{7L,(-6L),7L,7L},{7L,(-6L),7L,7L},{7L,(-6L),7L,7L}},{{7L,(-6L),7L,7L},{7L,(-6L),7L,7L},{7L,(-6L),7L,7L},{7L,(-6L),7L,7L},{7L,(-6L),7L,7L}},{{7L,(-6L),7L,7L},{7L,(-6L),7L,7L},{7L,(-6L),7L,7L},{7L,(-6L),7L,7L},{7L,(-6L),7L,7L}},{{7L,(-6L),7L,7L},{7L,(-6L),7L,7L},{7L,(-6L),7L,7L},{7L,(-6L),7L,7L},{7L,(-6L),7L,7L}}};
            struct S0 *l_1138 = &p_1231->g_330;
            int i, j, k;
            for (i = 0; i < 4; i++)
                l_1092[i] = 4294967295UL;
            for (p_1231->g_423.f1.f6 = 0; (p_1231->g_423.f1.f6 != 28); p_1231->g_423.f1.f6++)
            { /* block id: 513 */
                int32_t *l_1060 = &l_1015;
                int32_t l_1094 = 0x6433A104L;
                int32_t l_1096[10] = {0x46C9E1F8L,0x46C9E1F8L,0x46C9E1F8L,0x46C9E1F8L,0x46C9E1F8L,0x46C9E1F8L,0x46C9E1F8L,0x46C9E1F8L,0x46C9E1F8L,0x46C9E1F8L};
                int8_t *l_1113[5][10][5] = {{{&p_1231->g_35.f0,&p_1231->g_872.f0,&p_1231->g_188[1][2][0],(void*)0,&p_1231->g_418.f0},{&p_1231->g_35.f0,&p_1231->g_872.f0,&p_1231->g_188[1][2][0],(void*)0,&p_1231->g_418.f0},{&p_1231->g_35.f0,&p_1231->g_872.f0,&p_1231->g_188[1][2][0],(void*)0,&p_1231->g_418.f0},{&p_1231->g_35.f0,&p_1231->g_872.f0,&p_1231->g_188[1][2][0],(void*)0,&p_1231->g_418.f0},{&p_1231->g_35.f0,&p_1231->g_872.f0,&p_1231->g_188[1][2][0],(void*)0,&p_1231->g_418.f0},{&p_1231->g_35.f0,&p_1231->g_872.f0,&p_1231->g_188[1][2][0],(void*)0,&p_1231->g_418.f0},{&p_1231->g_35.f0,&p_1231->g_872.f0,&p_1231->g_188[1][2][0],(void*)0,&p_1231->g_418.f0},{&p_1231->g_35.f0,&p_1231->g_872.f0,&p_1231->g_188[1][2][0],(void*)0,&p_1231->g_418.f0},{&p_1231->g_35.f0,&p_1231->g_872.f0,&p_1231->g_188[1][2][0],(void*)0,&p_1231->g_418.f0},{&p_1231->g_35.f0,&p_1231->g_872.f0,&p_1231->g_188[1][2][0],(void*)0,&p_1231->g_418.f0}},{{&p_1231->g_35.f0,&p_1231->g_872.f0,&p_1231->g_188[1][2][0],(void*)0,&p_1231->g_418.f0},{&p_1231->g_35.f0,&p_1231->g_872.f0,&p_1231->g_188[1][2][0],(void*)0,&p_1231->g_418.f0},{&p_1231->g_35.f0,&p_1231->g_872.f0,&p_1231->g_188[1][2][0],(void*)0,&p_1231->g_418.f0},{&p_1231->g_35.f0,&p_1231->g_872.f0,&p_1231->g_188[1][2][0],(void*)0,&p_1231->g_418.f0},{&p_1231->g_35.f0,&p_1231->g_872.f0,&p_1231->g_188[1][2][0],(void*)0,&p_1231->g_418.f0},{&p_1231->g_35.f0,&p_1231->g_872.f0,&p_1231->g_188[1][2][0],(void*)0,&p_1231->g_418.f0},{&p_1231->g_35.f0,&p_1231->g_872.f0,&p_1231->g_188[1][2][0],(void*)0,&p_1231->g_418.f0},{&p_1231->g_35.f0,&p_1231->g_872.f0,&p_1231->g_188[1][2][0],(void*)0,&p_1231->g_418.f0},{&p_1231->g_35.f0,&p_1231->g_872.f0,&p_1231->g_188[1][2][0],(void*)0,&p_1231->g_418.f0},{&p_1231->g_35.f0,&p_1231->g_872.f0,&p_1231->g_188[1][2][0],(void*)0,&p_1231->g_418.f0}},{{&p_1231->g_35.f0,&p_1231->g_872.f0,&p_1231->g_188[1][2][0],(void*)0,&p_1231->g_418.f0},{&p_1231->g_35.f0,&p_1231->g_872.f0,&p_1231->g_188[1][2][0],(void*)0,&p_1231->g_418.f0},{&p_1231->g_35.f0,&p_1231->g_872.f0,&p_1231->g_188[1][2][0],(void*)0,&p_1231->g_418.f0},{&p_1231->g_35.f0,&p_1231->g_872.f0,&p_1231->g_188[1][2][0],(void*)0,&p_1231->g_418.f0},{&p_1231->g_35.f0,&p_1231->g_872.f0,&p_1231->g_188[1][2][0],(void*)0,&p_1231->g_418.f0},{&p_1231->g_35.f0,&p_1231->g_872.f0,&p_1231->g_188[1][2][0],(void*)0,&p_1231->g_418.f0},{&p_1231->g_35.f0,&p_1231->g_872.f0,&p_1231->g_188[1][2][0],(void*)0,&p_1231->g_418.f0},{&p_1231->g_35.f0,&p_1231->g_872.f0,&p_1231->g_188[1][2][0],(void*)0,&p_1231->g_418.f0},{&p_1231->g_35.f0,&p_1231->g_872.f0,&p_1231->g_188[1][2][0],(void*)0,&p_1231->g_418.f0},{&p_1231->g_35.f0,&p_1231->g_872.f0,&p_1231->g_188[1][2][0],(void*)0,&p_1231->g_418.f0}},{{&p_1231->g_35.f0,&p_1231->g_872.f0,&p_1231->g_188[1][2][0],(void*)0,&p_1231->g_418.f0},{&p_1231->g_35.f0,&p_1231->g_872.f0,&p_1231->g_188[1][2][0],(void*)0,&p_1231->g_418.f0},{&p_1231->g_35.f0,&p_1231->g_872.f0,&p_1231->g_188[1][2][0],(void*)0,&p_1231->g_418.f0},{&p_1231->g_35.f0,&p_1231->g_872.f0,&p_1231->g_188[1][2][0],(void*)0,&p_1231->g_418.f0},{&p_1231->g_35.f0,&p_1231->g_872.f0,&p_1231->g_188[1][2][0],(void*)0,&p_1231->g_418.f0},{&p_1231->g_35.f0,&p_1231->g_872.f0,&p_1231->g_188[1][2][0],(void*)0,&p_1231->g_418.f0},{&p_1231->g_35.f0,&p_1231->g_872.f0,&p_1231->g_188[1][2][0],(void*)0,&p_1231->g_418.f0},{&p_1231->g_35.f0,&p_1231->g_872.f0,&p_1231->g_188[1][2][0],(void*)0,&p_1231->g_418.f0},{&p_1231->g_35.f0,&p_1231->g_872.f0,&p_1231->g_188[1][2][0],(void*)0,&p_1231->g_418.f0},{&p_1231->g_35.f0,&p_1231->g_872.f0,&p_1231->g_188[1][2][0],(void*)0,&p_1231->g_418.f0}},{{&p_1231->g_35.f0,&p_1231->g_872.f0,&p_1231->g_188[1][2][0],(void*)0,&p_1231->g_418.f0},{&p_1231->g_35.f0,&p_1231->g_872.f0,&p_1231->g_188[1][2][0],(void*)0,&p_1231->g_418.f0},{&p_1231->g_35.f0,&p_1231->g_872.f0,&p_1231->g_188[1][2][0],(void*)0,&p_1231->g_418.f0},{&p_1231->g_35.f0,&p_1231->g_872.f0,&p_1231->g_188[1][2][0],(void*)0,&p_1231->g_418.f0},{&p_1231->g_35.f0,&p_1231->g_872.f0,&p_1231->g_188[1][2][0],(void*)0,&p_1231->g_418.f0},{&p_1231->g_35.f0,&p_1231->g_872.f0,&p_1231->g_188[1][2][0],(void*)0,&p_1231->g_418.f0},{&p_1231->g_35.f0,&p_1231->g_872.f0,&p_1231->g_188[1][2][0],(void*)0,&p_1231->g_418.f0},{&p_1231->g_35.f0,&p_1231->g_872.f0,&p_1231->g_188[1][2][0],(void*)0,&p_1231->g_418.f0},{&p_1231->g_35.f0,&p_1231->g_872.f0,&p_1231->g_188[1][2][0],(void*)0,&p_1231->g_418.f0},{&p_1231->g_35.f0,&p_1231->g_872.f0,&p_1231->g_188[1][2][0],(void*)0,&p_1231->g_418.f0}}};
                int i, j, k;
                for (p_1231->g_855.f2 = 0; (p_1231->g_855.f2 > 18); p_1231->g_855.f2 = safe_add_func_int32_t_s_s(p_1231->g_855.f2, 1))
                { /* block id: 516 */
                    struct S1 *l_1049 = &p_1231->g_649[2][5][0];
                    int32_t l_1050[5];
                    int32_t l_1051 = 0x533BA640L;
                    uint32_t l_1052 = 4294967294UL;
                    int i;
                    for (i = 0; i < 5; i++)
                        l_1050[i] = (-1L);
                    (*l_1049) = (*p_1231->g_650);
                    --l_1052;
                    for (p_1231->g_418.f1.f2 = 0; (p_1231->g_418.f1.f2 <= 23); p_1231->g_418.f1.f2 = safe_add_func_int32_t_s_s(p_1231->g_418.f1.f2, 9))
                    { /* block id: 521 */
                        (*p_1231->g_24) = l_1057;
                        l_1060 = l_1059;
                    }
                }
                for (p_1231->g_419.f1.f0 = 0; (p_1231->g_419.f1.f0 == 7); p_1231->g_419.f1.f0++)
                { /* block id: 528 */
                    uint64_t l_1091 = 0xB2DE62B48ECDF0C4L;
                    int32_t l_1093[6];
                    uint8_t *l_1111 = &p_1231->g_135[0];
                    int8_t *l_1112 = &p_1231->g_35.f1.f2;
                    int8_t **l_1114 = &l_1112;
                    int i;
                    for (i = 0; i < 6; i++)
                        l_1093[i] = (-5L);
                    if ((safe_rshift_func_uint8_t_u_u(p_20, 6)))
                    { /* block id: 529 */
                        int32_t **l_1066 = &l_991[3];
                        (*l_1066) = p_21;
                    }
                    else
                    { /* block id: 531 */
                        uint16_t l_1067 = 0x8671L;
                        uint16_t *l_1068[8] = {&p_1231->g_138,&p_1231->g_138,&p_1231->g_138,&p_1231->g_138,&p_1231->g_138,&p_1231->g_138,&p_1231->g_138,&p_1231->g_138};
                        uint64_t *l_1084 = &p_1231->g_388;
                        uint32_t *l_1085 = &p_1231->g_10;
                        int16_t ***l_1088 = &l_1002;
                        int8_t *l_1089 = &p_1231->g_872.f1.f2;
                        int8_t *l_1090 = &p_1231->g_712.f0;
                        int32_t l_1095[9][2] = {{1L,4L},{1L,4L},{1L,4L},{1L,4L},{1L,4L},{1L,4L},{1L,4L},{1L,4L},{1L,4L}};
                        int32_t l_1101 = 0x0B54E7A7L;
                        int i, j;
                        (*p_1231->g_24) &= (((l_1069 &= ((*l_1059) || l_1067)) <= (safe_add_func_uint16_t_u_u((safe_div_func_uint64_t_u_u((safe_lshift_func_int8_t_s_s(((*l_1090) ^= (safe_sub_func_int8_t_s_s(((0x70CFBB65L || (*l_1059)) ^ (safe_mod_func_uint8_t_u_u((safe_sub_func_uint16_t_u_u((((*l_1085) &= (1L & ((safe_add_func_int64_t_s_s(p_20, ((*l_1084) = l_1057))) < p_1231->g_223))) ^ (((safe_lshift_func_uint8_t_u_u((l_1088 == (void*)0), 3)) , &p_1231->g_936[3][1][0]) == &p_1231->g_936[3][0][1])), p_20)), 8L))), 0xBCL))), l_1067)), p_1231->g_424.f0)), 0x7D47L))) | p_1231->g_86);
                        l_1092[2] = l_1091;
                        l_1103++;
                    }
                    (*l_1059) |= 9L;
                    (*p_1231->g_1106) = &l_1097[0][5];
                    (*l_1060) |= ((p_1231->g_166[2] != (p_1231->g_188[7][1][0] |= (p_1231->g_424.f0 = (18446744073709551615UL > ((safe_sub_func_uint8_t_u_u((safe_lshift_func_uint16_t_u_u(0xC89AL, 14)), ((*l_1111) &= (*p_1231->g_948)))) , 0xA2C3EDA0844BF202L))))) || (l_1113[3][0][2] != (p_1231->g_79 , ((*l_1114) = l_1111))));
                }
            }
            if ((&p_1231->g_417[0][5][3] == (p_1231->g_1115 = &l_986)))
            { /* block id: 550 */
                uint32_t l_1116 = 4294967295UL;
                int32_t l_1121 = (-2L);
                int32_t l_1124 = 0x53432084L;
                int32_t l_1128 = 4L;
                uint32_t l_1130 = 1UL;
                l_1116++;
                for (p_1231->g_189 = 0; (p_1231->g_189 < 53); p_1231->g_189 = safe_add_func_int32_t_s_s(p_1231->g_189, 3))
                { /* block id: 554 */
                    int32_t l_1122 = 0L;
                    int32_t l_1123 = (-10L);
                    int32_t l_1125 = 0x48681710L;
                    int32_t l_1126[1][9] = {{0x7B4514E1L,0x7B4514E1L,0x7B4514E1L,0x7B4514E1L,0x7B4514E1L,0x7B4514E1L,0x7B4514E1L,0x7B4514E1L,0x7B4514E1L}};
                    volatile uint64_t * volatile * volatile *l_1136 = (void*)0;
                    volatile uint64_t * volatile * volatile *l_1137 = &p_1231->g_1133;
                    struct S0 **l_1139 = &p_1231->g_922;
                    int i, j;
                    l_1130--;
                    (*l_1137) = p_1231->g_1133;
                    (*l_1139) = l_1138;
                }
            }
            else
            { /* block id: 559 */
                int32_t l_1140 = 0x2813F368L;
                l_1141++;
                (*p_1231->g_922) = func_26(l_1092[0], p_1231);
            }
        }
    }
    else
    { /* block id: 564 */
        int32_t ***l_1151 = (void*)0;
        int32_t l_1200 = 0x39121C95L;
        int16_t **l_1212 = &l_983;
        for (p_1231->g_1099 = 15; (p_1231->g_1099 < 21); p_1231->g_1099++)
        { /* block id: 567 */
            uint32_t l_1163 = 0x75FE28CCL;
            int32_t l_1165 = 0x16C31033L;
            union U2 *l_1166 = &p_1231->g_420;
            int32_t **l_1169 = &p_1231->g_963;
            uint32_t l_1180 = 4294967293UL;
            volatile struct S1 *l_1215 = (void*)0;
            volatile struct S1 *l_1216 = &p_1231->g_1214;
            for (p_1231->g_84 = 0; (p_1231->g_84 < 20); p_1231->g_84++)
            { /* block id: 570 */
                int8_t *l_1148 = &p_1231->g_421[0][5].f0;
                int32_t ****l_1152 = (void*)0;
                int32_t ****l_1153 = &p_1231->g_259;
                int64_t *l_1164 = &p_1231->g_418.f1.f4;
                int32_t ***l_1170 = &p_1231->g_962[0][0];
                uint64_t *l_1179 = &p_1231->g_79;
                uint32_t *l_1181 = &p_1231->g_1014;
                uint64_t ***l_1182[8];
                int i;
                for (i = 0; i < 8; i++)
                    l_1182[i] = (void*)0;
                l_1165 |= (((*l_1148) = 0x12L) ^ ((safe_lshift_func_uint16_t_u_s(((l_1151 = l_1151) == &p_1231->g_1065), (p_1231->g_1154 , ((*l_983) ^= ((p_1231->g_1155[3][0][1] , ((*p_1231->g_24) = ((safe_add_func_uint64_t_u_u((safe_mul_func_int16_t_s_s((p_1231->g_1160 , p_20), (((safe_mod_func_int64_t_s_s(((*l_1164) = (((1UL < p_20) == l_1163) >= 4294967294UL)), p_1231->g_424.f0)) && 0x17A87FA6L) && p_20))), 0x5CBA079F80CCC712L)) >= 7UL))) < 3UL))))) < 18446744073709551615UL));
                if (p_20)
                    continue;
                (*p_1231->g_1115) = l_1166;
                if (((safe_lshift_func_uint8_t_u_s((((*l_1170) = l_1169) != (void*)0), 5)) , (0x6F52L | (&p_1231->g_1133 == ((((safe_mod_func_int8_t_s_s(((**p_1231->g_1133) && ((((p_1231->g_135[0] = (((safe_mul_func_uint16_t_u_u(p_20, (p_1231->g_77 = 0x2D2EL))) , ((*l_1179) = (safe_add_func_int32_t_s_s(p_20, (safe_add_func_uint8_t_u_u(((l_1163 && 65535UL) <= p_1231->g_60), p_20)))))) , (*p_1231->g_948))) > p_20) , p_1231->g_988.f0) | p_20)), l_1180)) , l_1181) == p_21) , l_1182[0])))))
                { /* block id: 583 */
                    for (p_1231->g_424.f1.f6 = 0; (p_1231->g_424.f1.f6 <= 6); p_1231->g_424.f1.f6 += 1)
                    { /* block id: 586 */
                        return p_20;
                    }
                    if ((atomic_inc(&p_1231->l_atomic_input[41]) == 1))
                    { /* block id: 590 */
                        int32_t l_1184 = 8L;
                        int32_t *l_1183 = &l_1184;
                        l_1183 = (void*)0;
                        unsigned int result = 0;
                        result += l_1184;
                        atomic_add(&p_1231->l_special_values[41], result);
                    }
                    else
                    { /* block id: 592 */
                        (1 + 1);
                    }
                    for (p_1231->g_419.f1.f6 = 1; (p_1231->g_419.f1.f6 >= 0); p_1231->g_419.f1.f6 -= 1)
                    { /* block id: 597 */
                        (*p_1231->g_24) = ((safe_rshift_func_uint16_t_u_u(p_20, 12)) | GROUP_DIVERGE(2, 1));
                    }
                }
                else
                { /* block id: 600 */
                    struct S1 *l_1189 = &p_1231->g_425.f1;
                    int16_t **l_1211 = &l_983;
                    int16_t ***l_1210 = &l_1211;
                    int64_t *l_1213 = &p_1231->g_423.f1.f4;
                    (*l_1189) = p_1231->g_1187[2][2][2];
                    (*p_1231->g_24) ^= (((((*l_1213) = (safe_div_func_uint16_t_u_u((safe_lshift_func_uint16_t_u_u((((safe_sub_func_uint64_t_u_u((safe_lshift_func_int8_t_s_u((((!(((safe_add_func_uint32_t_u_u(((~0x1F388121F9760058L) != ((FAKE_DIVERGE(p_1231->local_1_offset, get_local_id(1), 10) == (l_1200 <= (safe_sub_func_int64_t_s_s(0x7003EE75B65FAAE2L, ((*l_1164) = (l_1200 == 0xA5972DEFL)))))) || (safe_div_func_uint8_t_u_u((safe_mul_func_int8_t_s_s((safe_mod_func_int32_t_s_s((((p_1231->g_1209 , ((*l_1210) = &l_983)) == (p_20 , l_1212)) != 0x9133514F390C6439L), (-8L))), 253UL)), GROUP_DIVERGE(0, 1))))), p_20)) == p_20) & 0x5BL)) >= l_1165) , p_1231->g_79), p_1231->g_1187[2][2][2].f4)), (-4L))) , &l_983) != &l_983), FAKE_DIVERGE(p_1231->group_2_offset, get_group_id(2), 10))), p_1231->g_416))) , p_20) | p_20) == p_1231->g_1014);
                    (*p_1231->g_24) |= p_20;
                }
            }
            (*l_1216) = p_1231->g_1214;
        }
        p_21 = (*p_1231->g_1106);
    }
    return p_20;
}


/* ------------------------------------------ */
/* 
 * reads : p_1231->g_24 p_1231->g_25 p_1231->g_29 p_1231->g_30 p_1231->g_35 p_1231->g_60 p_1231->g_10 p_1231->g_79 p_1231->g_84 p_1231->g_92 p_1231->g_86 p_1231->g_140 p_1231->g_135 p_1231->g_133 p_1231->g_166 p_1231->g_35.f0 p_1231->g_191 p_1231->g_223 p_1231->g_188 p_1231->g_138 p_1231->g_260 p_1231->g_77 p_1231->g_329 p_1231->g_316 p_1231->g_189 p_1231->g_425.f0 p_1231->g_418.f0 p_1231->g_388 p_1231->g_416 p_1231->g_408 p_1231->g_415 p_1231->g_420.f0 p_1231->g_419.f0 p_1231->g_296.f0 p_1231->g_579 p_1231->g_424.f1.f2 p_1231->g_296 p_1231->g_424.f0 p_1231->g_855.f1.f0
 * writes: p_1231->g_30 p_1231->g_25 p_1231->g_60 p_1231->g_77 p_1231->g_79 p_1231->g_84 p_1231->g_86 p_1231->g_24 p_1231->g_133 p_1231->g_140 p_1231->g_166 p_1231->g_188 p_1231->g_189 p_1231->g_191 p_1231->g_135 p_1231->g_223 p_1231->g_234 p_1231->g_138 p_1231->g_259 p_1231->g_316 p_1231->g_92 p_1231->g_388 p_1231->g_10 p_1231->g_418.f1.f0 p_1231->g_424.f1.f2 p_1231->g_419.f1.f4 p_1231->g_425.f1.f4 p_1231->g_296 p_1231->g_421.f1.f2
 */
int16_t  func_22(int32_t * p_23, struct S3 * p_1231)
{ /* block id: 6 */
    int32_t l_28 = 0x4667120DL;
    struct S0 *l_580 = (void*)0;
    struct S0 *l_582 = &p_1231->g_296;
    union U2 *l_587[10] = {&p_1231->g_420,&p_1231->g_420,&p_1231->g_420,&p_1231->g_420,&p_1231->g_420,&p_1231->g_420,&p_1231->g_420,&p_1231->g_420,&p_1231->g_420,&p_1231->g_420};
    int32_t l_600 = 0x5A5E3E2AL;
    int32_t l_667 = 0x59B290ACL;
    int32_t l_670[7] = {0x7FCB840AL,0x3A19B02CL,0x7FCB840AL,0x7FCB840AL,0x3A19B02CL,0x7FCB840AL,0x7FCB840AL};
    int32_t *l_890 = &p_1231->g_30;
    int32_t **l_966 = &p_1231->g_963;
    uint16_t *l_971 = (void*)0;
    uint16_t *l_972 = &p_1231->g_316;
    int32_t ***l_979 = &l_966;
    int16_t *l_980[4][6][10] = {{{&p_1231->g_77,&p_1231->g_140,(void*)0,(void*)0,&p_1231->g_84,&p_1231->g_133[2],&p_1231->g_133[1],&p_1231->g_133[1],&p_1231->g_84,&p_1231->g_133[2]},{&p_1231->g_77,&p_1231->g_140,(void*)0,(void*)0,&p_1231->g_84,&p_1231->g_133[2],&p_1231->g_133[1],&p_1231->g_133[1],&p_1231->g_84,&p_1231->g_133[2]},{&p_1231->g_77,&p_1231->g_140,(void*)0,(void*)0,&p_1231->g_84,&p_1231->g_133[2],&p_1231->g_133[1],&p_1231->g_133[1],&p_1231->g_84,&p_1231->g_133[2]},{&p_1231->g_77,&p_1231->g_140,(void*)0,(void*)0,&p_1231->g_84,&p_1231->g_133[2],&p_1231->g_133[1],&p_1231->g_133[1],&p_1231->g_84,&p_1231->g_133[2]},{&p_1231->g_77,&p_1231->g_140,(void*)0,(void*)0,&p_1231->g_84,&p_1231->g_133[2],&p_1231->g_133[1],&p_1231->g_133[1],&p_1231->g_84,&p_1231->g_133[2]},{&p_1231->g_77,&p_1231->g_140,(void*)0,(void*)0,&p_1231->g_84,&p_1231->g_133[2],&p_1231->g_133[1],&p_1231->g_133[1],&p_1231->g_84,&p_1231->g_133[2]}},{{&p_1231->g_77,&p_1231->g_140,(void*)0,(void*)0,&p_1231->g_84,&p_1231->g_133[2],&p_1231->g_133[1],&p_1231->g_133[1],&p_1231->g_84,&p_1231->g_133[2]},{&p_1231->g_77,&p_1231->g_140,(void*)0,(void*)0,&p_1231->g_84,&p_1231->g_133[2],&p_1231->g_133[1],&p_1231->g_133[1],&p_1231->g_84,&p_1231->g_133[2]},{&p_1231->g_77,&p_1231->g_140,(void*)0,(void*)0,&p_1231->g_84,&p_1231->g_133[2],&p_1231->g_133[1],&p_1231->g_133[1],&p_1231->g_84,&p_1231->g_133[2]},{&p_1231->g_77,&p_1231->g_140,(void*)0,(void*)0,&p_1231->g_84,&p_1231->g_133[2],&p_1231->g_133[1],&p_1231->g_133[1],&p_1231->g_84,&p_1231->g_133[2]},{&p_1231->g_77,&p_1231->g_140,(void*)0,(void*)0,&p_1231->g_84,&p_1231->g_133[2],&p_1231->g_133[1],&p_1231->g_133[1],&p_1231->g_84,&p_1231->g_133[2]},{&p_1231->g_77,&p_1231->g_140,(void*)0,(void*)0,&p_1231->g_84,&p_1231->g_133[2],&p_1231->g_133[1],&p_1231->g_133[1],&p_1231->g_84,&p_1231->g_133[2]}},{{&p_1231->g_77,&p_1231->g_140,(void*)0,(void*)0,&p_1231->g_84,&p_1231->g_133[2],&p_1231->g_133[1],&p_1231->g_133[1],&p_1231->g_84,&p_1231->g_133[2]},{&p_1231->g_77,&p_1231->g_140,(void*)0,(void*)0,&p_1231->g_84,&p_1231->g_133[2],&p_1231->g_133[1],&p_1231->g_133[1],&p_1231->g_84,&p_1231->g_133[2]},{&p_1231->g_77,&p_1231->g_140,(void*)0,(void*)0,&p_1231->g_84,&p_1231->g_133[2],&p_1231->g_133[1],&p_1231->g_133[1],&p_1231->g_84,&p_1231->g_133[2]},{&p_1231->g_77,&p_1231->g_140,(void*)0,(void*)0,&p_1231->g_84,&p_1231->g_133[2],&p_1231->g_133[1],&p_1231->g_133[1],&p_1231->g_84,&p_1231->g_133[2]},{&p_1231->g_77,&p_1231->g_140,(void*)0,(void*)0,&p_1231->g_84,&p_1231->g_133[2],&p_1231->g_133[1],&p_1231->g_133[1],&p_1231->g_84,&p_1231->g_133[2]},{&p_1231->g_77,&p_1231->g_140,(void*)0,(void*)0,&p_1231->g_84,&p_1231->g_133[2],&p_1231->g_133[1],&p_1231->g_133[1],&p_1231->g_84,&p_1231->g_133[2]}},{{&p_1231->g_77,&p_1231->g_140,(void*)0,(void*)0,&p_1231->g_84,&p_1231->g_133[2],&p_1231->g_133[1],&p_1231->g_133[1],&p_1231->g_84,&p_1231->g_133[2]},{&p_1231->g_77,&p_1231->g_140,(void*)0,(void*)0,&p_1231->g_84,&p_1231->g_133[2],&p_1231->g_133[1],&p_1231->g_133[1],&p_1231->g_84,&p_1231->g_133[2]},{&p_1231->g_77,&p_1231->g_140,(void*)0,(void*)0,&p_1231->g_84,&p_1231->g_133[2],&p_1231->g_133[1],&p_1231->g_133[1],&p_1231->g_84,&p_1231->g_133[2]},{&p_1231->g_77,&p_1231->g_140,(void*)0,(void*)0,&p_1231->g_84,&p_1231->g_133[2],&p_1231->g_133[1],&p_1231->g_133[1],&p_1231->g_84,&p_1231->g_133[2]},{&p_1231->g_77,&p_1231->g_140,(void*)0,(void*)0,&p_1231->g_84,&p_1231->g_133[2],&p_1231->g_133[1],&p_1231->g_133[1],&p_1231->g_84,&p_1231->g_133[2]},{&p_1231->g_77,&p_1231->g_140,(void*)0,(void*)0,&p_1231->g_84,&p_1231->g_133[2],&p_1231->g_133[1],&p_1231->g_133[1],&p_1231->g_84,&p_1231->g_133[2]}}};
    int8_t *l_981[7];
    int i, j, k;
    for (i = 0; i < 7; i++)
        l_981[i] = &p_1231->g_421[0][5].f1.f2;
    (*l_582) = func_26(l_28, p_1231);
    for (p_1231->g_424.f1.f2 = (-26); (p_1231->g_424.f1.f2 >= 28); p_1231->g_424.f1.f2++)
    { /* block id: 270 */
        int8_t l_598 = (-4L);
        uint8_t *l_599 = &p_1231->g_189;
        uint8_t *l_601 = &p_1231->g_60;
        int32_t l_608 = (-1L);
        int32_t l_665[2][5][4] = {{{(-1L),(-1L),0x7A833D87L,0x0AFF7B0EL},{(-1L),(-1L),0x7A833D87L,0x0AFF7B0EL},{(-1L),(-1L),0x7A833D87L,0x0AFF7B0EL},{(-1L),(-1L),0x7A833D87L,0x0AFF7B0EL},{(-1L),(-1L),0x7A833D87L,0x0AFF7B0EL}},{{(-1L),(-1L),0x7A833D87L,0x0AFF7B0EL},{(-1L),(-1L),0x7A833D87L,0x0AFF7B0EL},{(-1L),(-1L),0x7A833D87L,0x0AFF7B0EL},{(-1L),(-1L),0x7A833D87L,0x0AFF7B0EL},{(-1L),(-1L),0x7A833D87L,0x0AFF7B0EL}}};
        struct S0 **l_816 = &l_582;
        int32_t *l_960 = &p_1231->g_191;
        int32_t **l_959 = &l_960;
        int32_t ***l_965[2][10] = {{(void*)0,&l_959,(void*)0,(void*)0,&l_959,(void*)0,(void*)0,&l_959,(void*)0,(void*)0},{(void*)0,&l_959,(void*)0,(void*)0,&l_959,(void*)0,(void*)0,&l_959,(void*)0,(void*)0}};
        int i, j, k;
        (1 + 1);
    }
    (*p_23) &= (safe_mul_func_int16_t_s_s(((((*l_582) , ((((1L || (safe_mod_func_uint16_t_u_u(((*l_972) = (*l_890)), (safe_mul_func_int8_t_s_s(p_1231->g_424.f0, (((safe_sub_func_int32_t_s_s((safe_lshift_func_int8_t_s_u(p_1231->g_855.f1.f0, (((l_600 = (p_1231->g_421[0][5].f1.f2 = (((*l_890) ^ ((l_667 = ((&p_1231->g_963 == ((*l_979) = &p_1231->g_963)) <= (*l_890))) >= (*l_890))) , (*l_890)))) && (*l_890)) && 0UL))), 0x25D249ABL)) && (*l_890)) > (*l_890))))))) | p_1231->g_60) & (*l_890)) , (-3L))) < (*l_890)) > 3UL), FAKE_DIVERGE(p_1231->group_2_offset, get_group_id(2), 10)));
    return (*l_890);
}


/* ------------------------------------------ */
/* 
 * reads : p_1231->g_24 p_1231->g_25 p_1231->g_29 p_1231->g_30 p_1231->g_35 p_1231->g_60 p_1231->g_10 p_1231->g_79 p_1231->g_84 p_1231->g_92 p_1231->g_86 p_1231->g_140 p_1231->g_135 p_1231->g_133 p_1231->g_166 p_1231->g_35.f0 p_1231->g_191 p_1231->g_223 p_1231->g_188 p_1231->g_138 p_1231->g_260 p_1231->g_77 p_1231->g_329 p_1231->g_316 p_1231->g_189 p_1231->g_425.f0 p_1231->g_418.f0 p_1231->g_388 p_1231->g_416 p_1231->g_408 p_1231->g_415 p_1231->g_420.f0 p_1231->g_419.f0 p_1231->g_296.f0 p_1231->g_579
 * writes: p_1231->g_30 p_1231->g_25 p_1231->g_60 p_1231->g_77 p_1231->g_79 p_1231->g_84 p_1231->g_86 p_1231->g_24 p_1231->g_133 p_1231->g_140 p_1231->g_166 p_1231->g_188 p_1231->g_189 p_1231->g_191 p_1231->g_135 p_1231->g_223 p_1231->g_234 p_1231->g_138 p_1231->g_259 p_1231->g_316 p_1231->g_92 p_1231->g_388 p_1231->g_10 p_1231->g_418.f1.f0 p_1231->g_424.f1.f2 p_1231->g_419.f1.f4 p_1231->g_425.f1.f4
 */
struct S0  func_26(int16_t  p_27, struct S3 * p_1231)
{ /* block id: 7 */
    uint16_t l_534 = 0xC07AL;
    int8_t l_550 = 0x47L;
    int32_t l_574 = (-3L);
    int32_t l_575[2][9][2] = {{{5L,5L},{5L,5L},{5L,5L},{5L,5L},{5L,5L},{5L,5L},{5L,5L},{5L,5L},{5L,5L}},{{5L,5L},{5L,5L},{5L,5L},{5L,5L},{5L,5L},{5L,5L},{5L,5L},{5L,5L},{5L,5L}}};
    uint16_t l_576 = 65534UL;
    int i, j, k;
    (*p_1231->g_29) &= (*p_1231->g_24);
    for (p_1231->g_25 = 0; (p_1231->g_25 == 4); p_1231->g_25++)
    { /* block id: 11 */
        uint32_t l_51 = 0x12F8BA79L;
        int32_t *l_532 = &p_1231->g_422.f1.f6;
        int32_t *l_533 = &p_1231->g_25;
        int64_t l_551 = 0x3AE3DACBE4A64AAAL;
        uint64_t *l_558 = (void*)0;
        uint64_t *l_559[6] = {&p_1231->g_79,&p_1231->g_79,&p_1231->g_79,&p_1231->g_79,&p_1231->g_79,&p_1231->g_79};
        int32_t l_568 = 0x2D671444L;
        int32_t *l_569 = &p_1231->g_425.f1.f6;
        int32_t *l_570 = &p_1231->g_223;
        int32_t *l_571 = &p_1231->g_424.f1.f6;
        int32_t *l_572 = &p_1231->g_425.f1.f6;
        int32_t *l_573[2];
        int i;
        for (i = 0; i < 2; i++)
            l_573[i] = &p_1231->g_422.f1.f6;
        l_550 = (((safe_mul_func_int8_t_s_s((p_1231->g_35 , 0x2DL), func_36(&p_1231->g_30, p_27, (safe_lshift_func_uint8_t_u_s((safe_div_func_uint32_t_u_u(((l_532 = func_46((p_1231->g_25 , func_48(&p_1231->g_25, l_51, p_1231)), p_1231)) == l_533), (*l_533))), 7)), p_1231->g_408, l_534, p_1231))) & (*l_533)) ^ 0x2A79L);
        l_568 ^= (l_551 , ((safe_sub_func_int16_t_s_s((safe_div_func_uint32_t_u_u((safe_lshift_func_int8_t_s_s(p_27, (p_1231->g_296.f0 == (p_1231->g_79 = 0xBF6C53EE8B162068L)))), p_27)), (safe_rshift_func_uint16_t_u_s(((((((p_27 , GROUP_DIVERGE(0, 1)) != 1UL) != 0x29490129L) >= (((safe_lshift_func_uint16_t_u_u((safe_add_func_int32_t_s_s((((safe_rshift_func_int16_t_s_u(p_27, 12)) & FAKE_DIVERGE(p_1231->global_1_offset, get_global_id(1), 10)) , (*p_1231->g_24)), (*l_533))), FAKE_DIVERGE(p_1231->group_0_offset, get_group_id(0), 10))) && l_550) & 0x1E0AFE9AL)) < (*l_533)) != 0x2CA9L), p_27)))) ^ FAKE_DIVERGE(p_1231->group_2_offset, get_group_id(2), 10)));
        --l_576;
    }
    return p_1231->g_579[1];
}


/* ------------------------------------------ */
/* 
 * reads : p_1231->g_30 p_1231->g_418.f0 p_1231->g_133 p_1231->g_419.f0 p_1231->g_425.f0 p_1231->g_388
 * writes: p_1231->g_30 p_1231->g_424.f1.f2
 */
int8_t  func_36(int32_t * p_37, int64_t  p_38, uint64_t  p_39, int64_t  p_40, uint8_t  p_41, struct S3 * p_1231)
{ /* block id: 254 */
    uint32_t l_537 = 0xB8369F3CL;
    int8_t *l_542 = (void*)0;
    int8_t *l_547 = &p_1231->g_424.f1.f2;
    int32_t *l_548 = &p_1231->g_223;
    int32_t **l_549 = &l_548;
    (*p_37) &= 0x2AB024FCL;
    (*p_37) = (safe_div_func_uint16_t_u_u(p_1231->g_418.f0, (l_537 || (((safe_mul_func_uint16_t_u_u(((((*l_547) = ((safe_add_func_uint32_t_u_u((((p_1231->g_133[2] < ((&p_1231->g_188[1][1][0] != l_542) < (((((safe_div_func_uint64_t_u_u(((0xEDL ^ ((safe_rshift_func_uint8_t_u_s(l_537, 6)) , p_1231->g_419.f0)) >= p_39), 1UL)) | p_41) < p_1231->g_425.f0) >= 0xACC5CA78EC2E4C1AL) != 0x3E9F87FD3616AAEEL))) , (*p_37)) , FAKE_DIVERGE(p_1231->global_0_offset, get_global_id(0), 10)), p_41)) && 0x1FL)) | 1UL) > 0x71A90566L), l_537)) >= l_537) <= 1UL))));
    (*p_37) |= (3L != (p_40 , 0x28163C9EL));
    (*l_549) = l_548;
    return p_1231->g_388;
}


/* ------------------------------------------ */
/* 
 * reads : p_1231->g_138 p_1231->g_25 p_1231->g_135 p_1231->g_189 p_1231->g_10 p_1231->g_425.f0 p_1231->g_418.f0 p_1231->g_223 p_1231->g_388 p_1231->g_416 p_1231->g_77 p_1231->g_188 p_1231->g_133 p_1231->g_408 p_1231->g_191 p_1231->g_415 p_1231->g_30 p_1231->g_420.f0
 * writes: p_1231->g_138 p_1231->g_189 p_1231->g_10 p_1231->g_418.f1.f0 p_1231->g_424.f1.f2 p_1231->g_419.f1.f4 p_1231->g_388 p_1231->g_223 p_1231->g_316 p_1231->g_133 p_1231->g_425.f1.f4
 */
int32_t * func_46(int32_t * p_47, struct S3 * p_1231)
{ /* block id: 186 */
    int32_t l_410[8][6][5] = {{{0x32A7D651L,0x1561FEEBL,0x3D1C8521L,1L,0L},{0x32A7D651L,0x1561FEEBL,0x3D1C8521L,1L,0L},{0x32A7D651L,0x1561FEEBL,0x3D1C8521L,1L,0L},{0x32A7D651L,0x1561FEEBL,0x3D1C8521L,1L,0L},{0x32A7D651L,0x1561FEEBL,0x3D1C8521L,1L,0L},{0x32A7D651L,0x1561FEEBL,0x3D1C8521L,1L,0L}},{{0x32A7D651L,0x1561FEEBL,0x3D1C8521L,1L,0L},{0x32A7D651L,0x1561FEEBL,0x3D1C8521L,1L,0L},{0x32A7D651L,0x1561FEEBL,0x3D1C8521L,1L,0L},{0x32A7D651L,0x1561FEEBL,0x3D1C8521L,1L,0L},{0x32A7D651L,0x1561FEEBL,0x3D1C8521L,1L,0L},{0x32A7D651L,0x1561FEEBL,0x3D1C8521L,1L,0L}},{{0x32A7D651L,0x1561FEEBL,0x3D1C8521L,1L,0L},{0x32A7D651L,0x1561FEEBL,0x3D1C8521L,1L,0L},{0x32A7D651L,0x1561FEEBL,0x3D1C8521L,1L,0L},{0x32A7D651L,0x1561FEEBL,0x3D1C8521L,1L,0L},{0x32A7D651L,0x1561FEEBL,0x3D1C8521L,1L,0L},{0x32A7D651L,0x1561FEEBL,0x3D1C8521L,1L,0L}},{{0x32A7D651L,0x1561FEEBL,0x3D1C8521L,1L,0L},{0x32A7D651L,0x1561FEEBL,0x3D1C8521L,1L,0L},{0x32A7D651L,0x1561FEEBL,0x3D1C8521L,1L,0L},{0x32A7D651L,0x1561FEEBL,0x3D1C8521L,1L,0L},{0x32A7D651L,0x1561FEEBL,0x3D1C8521L,1L,0L},{0x32A7D651L,0x1561FEEBL,0x3D1C8521L,1L,0L}},{{0x32A7D651L,0x1561FEEBL,0x3D1C8521L,1L,0L},{0x32A7D651L,0x1561FEEBL,0x3D1C8521L,1L,0L},{0x32A7D651L,0x1561FEEBL,0x3D1C8521L,1L,0L},{0x32A7D651L,0x1561FEEBL,0x3D1C8521L,1L,0L},{0x32A7D651L,0x1561FEEBL,0x3D1C8521L,1L,0L},{0x32A7D651L,0x1561FEEBL,0x3D1C8521L,1L,0L}},{{0x32A7D651L,0x1561FEEBL,0x3D1C8521L,1L,0L},{0x32A7D651L,0x1561FEEBL,0x3D1C8521L,1L,0L},{0x32A7D651L,0x1561FEEBL,0x3D1C8521L,1L,0L},{0x32A7D651L,0x1561FEEBL,0x3D1C8521L,1L,0L},{0x32A7D651L,0x1561FEEBL,0x3D1C8521L,1L,0L},{0x32A7D651L,0x1561FEEBL,0x3D1C8521L,1L,0L}},{{0x32A7D651L,0x1561FEEBL,0x3D1C8521L,1L,0L},{0x32A7D651L,0x1561FEEBL,0x3D1C8521L,1L,0L},{0x32A7D651L,0x1561FEEBL,0x3D1C8521L,1L,0L},{0x32A7D651L,0x1561FEEBL,0x3D1C8521L,1L,0L},{0x32A7D651L,0x1561FEEBL,0x3D1C8521L,1L,0L},{0x32A7D651L,0x1561FEEBL,0x3D1C8521L,1L,0L}},{{0x32A7D651L,0x1561FEEBL,0x3D1C8521L,1L,0L},{0x32A7D651L,0x1561FEEBL,0x3D1C8521L,1L,0L},{0x32A7D651L,0x1561FEEBL,0x3D1C8521L,1L,0L},{0x32A7D651L,0x1561FEEBL,0x3D1C8521L,1L,0L},{0x32A7D651L,0x1561FEEBL,0x3D1C8521L,1L,0L},{0x32A7D651L,0x1561FEEBL,0x3D1C8521L,1L,0L}}};
    int8_t l_428 = 0x39L;
    int32_t *l_430 = (void*)0;
    int32_t *l_431[10];
    int32_t l_432 = 0L;
    uint32_t l_435 = 0x94ACE549L;
    uint8_t *l_438 = &p_1231->g_189;
    uint32_t *l_439 = &p_1231->g_10;
    int64_t l_442 = 0x6139C747D737A0F3L;
    uint64_t l_443 = 0x4A77165928EBB8F8L;
    uint16_t l_515 = 3UL;
    int32_t *l_531 = &p_1231->g_425.f1.f6;
    int i, j, k;
    for (i = 0; i < 10; i++)
        l_431[i] = (void*)0;
    for (p_1231->g_138 = 0; (p_1231->g_138 <= 2); p_1231->g_138 += 1)
    { /* block id: 189 */
        int32_t *l_407 = &p_1231->g_408;
        uint16_t *l_409 = &p_1231->g_138;
        int32_t l_411 = 0x3384DC00L;
        int32_t *l_412 = &p_1231->g_413;
        int32_t *l_414 = &p_1231->g_415[0][2];
        int32_t *l_429[3];
        int i;
        for (i = 0; i < 3; i++)
            l_429[i] = &p_1231->g_421[0][5].f1.f6;
        (1 + 1);
    }
    l_432 |= (*p_47);
    l_443 = (safe_div_func_uint16_t_u_u((l_435 > ((*l_439) ^= (safe_sub_func_int8_t_s_s((0x02L || p_1231->g_135[0]), (((*l_438) ^= ((void*)0 == &p_1231->g_316)) || ((*l_438) = 4UL)))))), (safe_rshift_func_int16_t_s_s((((((p_1231->g_138 || p_1231->g_425.f0) != p_1231->g_418.f0) >= p_1231->g_223) , 0x5825DFE9C205218EL) <= FAKE_DIVERGE(p_1231->group_1_offset, get_group_id(1), 10)), l_442))));
    for (p_1231->g_138 = 0; (p_1231->g_138 > 28); p_1231->g_138++)
    { /* block id: 208 */
        uint16_t l_471 = 0UL;
        int32_t l_494 = 0L;
        int32_t l_528[7];
        int16_t l_529 = 0x27D6L;
        int32_t **l_530[7] = {&l_430,&p_1231->g_24,&l_430,&l_430,&p_1231->g_24,&l_430,&l_430};
        int i;
        for (i = 0; i < 7; i++)
            l_528[i] = 0x6DAC41D2L;
        for (p_1231->g_418.f1.f0 = (-9); (p_1231->g_418.f1.f0 <= 9); p_1231->g_418.f1.f0 = safe_add_func_uint8_t_u_u(p_1231->g_418.f1.f0, 6))
        { /* block id: 211 */
            int64_t l_469 = 0x6D23C342EC7A1780L;
            int16_t l_470 = (-1L);
            uint64_t *l_500 = (void*)0;
            int32_t l_514[7][8] = {{1L,1L,0L,(-4L),0x75E9498EL,0x2D23C22DL,(-1L),0x6B1386D7L},{1L,1L,0L,(-4L),0x75E9498EL,0x2D23C22DL,(-1L),0x6B1386D7L},{1L,1L,0L,(-4L),0x75E9498EL,0x2D23C22DL,(-1L),0x6B1386D7L},{1L,1L,0L,(-4L),0x75E9498EL,0x2D23C22DL,(-1L),0x6B1386D7L},{1L,1L,0L,(-4L),0x75E9498EL,0x2D23C22DL,(-1L),0x6B1386D7L},{1L,1L,0L,(-4L),0x75E9498EL,0x2D23C22DL,(-1L),0x6B1386D7L},{1L,1L,0L,(-4L),0x75E9498EL,0x2D23C22DL,(-1L),0x6B1386D7L}};
            int i, j;
            for (p_1231->g_424.f1.f2 = 0; (p_1231->g_424.f1.f2 > (-18)); p_1231->g_424.f1.f2 = safe_sub_func_int8_t_s_s(p_1231->g_424.f1.f2, 7))
            { /* block id: 214 */
                uint64_t l_466 = 0x2DAFED50DEDFE4CBL;
                if ((atomic_inc(&p_1231->l_atomic_input[32]) == 7))
                { /* block id: 216 */
                    int32_t l_450 = 0x6D526EC6L;
                    int32_t l_462 = 0x212D3318L;
                    uint64_t l_463[4][3] = {{1UL,1UL,1UL},{1UL,1UL,1UL},{1UL,1UL,1UL},{1UL,1UL,1UL}};
                    uint32_t l_464 = 0xA14611E9L;
                    uint8_t l_465 = 5UL;
                    int i, j;
                    for (l_450 = 0; (l_450 == (-28)); l_450 = safe_sub_func_int16_t_s_s(l_450, 6))
                    { /* block id: 219 */
                        int32_t l_453 = (-5L);
                        int32_t l_454 = 5L;
                        uint32_t l_455 = 0x74AA712AL;
                        int8_t l_456 = 0x5EL;
                        uint32_t l_457 = 1UL;
                        uint8_t l_460 = 0x7CL;
                        uint32_t l_461[2];
                        int i;
                        for (i = 0; i < 2; i++)
                            l_461[i] = 4294967290UL;
                        l_456 = (l_453 , (l_455 = l_454));
                        ++l_457;
                        l_461[1] |= l_460;
                    }
                    l_463[3][2] = l_462;
                    l_465 = l_464;
                    unsigned int result = 0;
                    result += l_450;
                    result += l_462;
                    int l_463_i0, l_463_i1;
                    for (l_463_i0 = 0; l_463_i0 < 4; l_463_i0++) {
                        for (l_463_i1 = 0; l_463_i1 < 3; l_463_i1++) {
                            result += l_463[l_463_i0][l_463_i1];
                        }
                    }
                    result += l_464;
                    result += l_465;
                    atomic_add(&p_1231->l_special_values[32], result);
                }
                else
                { /* block id: 227 */
                    (1 + 1);
                }
                for (p_1231->g_419.f1.f4 = 1; (p_1231->g_419.f1.f4 >= 0); p_1231->g_419.f1.f4 -= 1)
                { /* block id: 232 */
                    uint64_t *l_467[7][2];
                    int32_t l_468 = 0x7A19AC10L;
                    uint64_t l_493 = 9UL;
                    uint16_t *l_506 = &p_1231->g_316;
                    uint16_t **l_505 = &l_506;
                    int i, j;
                    for (i = 0; i < 7; i++)
                    {
                        for (j = 0; j < 2; j++)
                            l_467[i][j] = &p_1231->g_79;
                    }
                    l_471 &= ((((((l_466 ^ (p_1231->g_388 &= 18446744073709551607UL)) , l_468) > l_469) , (-1L)) >= l_470) < l_469);
                    for (p_1231->g_223 = 0; (p_1231->g_223 <= 1); p_1231->g_223 += 1)
                    { /* block id: 237 */
                        int16_t *l_511 = &p_1231->g_133[2];
                        int64_t *l_512[4][6] = {{&p_1231->g_86,&p_1231->g_86,(void*)0,&l_442,&p_1231->g_86,&l_442},{&p_1231->g_86,&p_1231->g_86,(void*)0,&l_442,&p_1231->g_86,&l_442},{&p_1231->g_86,&p_1231->g_86,(void*)0,&l_442,&p_1231->g_86,&l_442},{&p_1231->g_86,&p_1231->g_86,(void*)0,&l_442,&p_1231->g_86,&l_442}};
                        int32_t l_513 = 0x4273C0FDL;
                        int i, j;
                        l_494 &= (safe_mul_func_uint8_t_u_u((safe_add_func_int64_t_s_s(((p_1231->g_416 == ((safe_div_func_int16_t_s_s((safe_lshift_func_uint16_t_u_s(0xC24FL, (safe_add_func_uint32_t_u_u(((safe_lshift_func_int16_t_s_u(((safe_lshift_func_uint16_t_u_s((safe_unary_minus_func_int32_t_s((((safe_mod_func_int64_t_s_s(p_1231->g_77, (safe_mul_func_int8_t_s_s(0x25L, (!p_1231->g_188[7][1][0]))))) && l_466) , l_471))), (safe_mod_func_int8_t_s_s((((void*)0 != &l_466) || 0x7A1E52B521CD879DL), l_466)))) <= GROUP_DIVERGE(0, 1)), p_1231->g_138)) != l_468), 4294967295UL)))), p_1231->g_133[1])) , (-10L))) > l_471), 18446744073709551615UL)), l_493));
                        l_513 = ((safe_lshift_func_int16_t_s_u(((p_1231->g_425.f1.f4 = (safe_unary_minus_func_uint16_t_u((((*l_511) = ((safe_mul_func_uint8_t_u_u(p_1231->g_408, ((l_500 == l_500) < ((safe_mod_func_int64_t_s_s(p_1231->g_223, (safe_sub_func_int16_t_s_s(((l_505 != &l_506) , ((l_471 > 18446744073709551606UL) <= ((safe_sub_func_uint16_t_u_u((!(p_1231->g_316 = (safe_div_func_int64_t_s_s(l_493, p_1231->g_25)))), p_1231->g_223)) , l_493))), 65535UL)))) , l_466)))) & l_471)) ^ l_493)))) >= p_1231->g_191), l_471)) , 1L);
                    }
                }
            }
            l_515++;
        }
        if (l_471)
            break;
        l_494 = ((safe_rshift_func_int8_t_s_s(p_1231->g_77, (((safe_rshift_func_int16_t_s_s((p_1231->g_415[0][1] == (safe_div_func_uint64_t_u_u((safe_sub_func_uint8_t_u_u(p_1231->g_30, l_471)), l_494))), 1)) | p_1231->g_420.f0) > (*p_47)))) , ((FAKE_DIVERGE(p_1231->global_2_offset, get_global_id(2), 10) == ((safe_mul_func_int16_t_s_s((((p_1231->g_188[2][0][0] | (!(((((p_1231->g_188[7][1][0] || p_1231->g_77) && l_528[5]) | 0x5DC9FEEBL) <= 4294967289UL) ^ p_1231->g_415[0][0]))) == p_1231->g_388) >= p_1231->g_77), p_1231->g_10)) ^ l_529)) , (-8L)));
        l_531 = &l_432;
    }
    return p_47;
}


/* ------------------------------------------ */
/* 
 * reads : p_1231->g_60 p_1231->g_30 p_1231->g_10 p_1231->g_79 p_1231->g_84 p_1231->g_77 p_1231->g_92 p_1231->g_24 p_1231->g_86 p_1231->g_25 p_1231->g_140 p_1231->g_135 p_1231->g_133 p_1231->g_166 p_1231->g_35.f0 p_1231->g_191 p_1231->g_223 p_1231->g_188 p_1231->g_138 p_1231->g_260 p_1231->g_329 p_1231->g_316 p_1231->g_189 l_1097
 * writes: p_1231->g_30 p_1231->g_60 p_1231->g_77 p_1231->g_79 p_1231->g_84 p_1231->g_86 p_1231->g_24 p_1231->g_133 p_1231->g_140 p_1231->g_166 p_1231->g_188 p_1231->g_189 p_1231->g_191 p_1231->g_135 p_1231->g_223 p_1231->g_234 p_1231->g_138 p_1231->g_259 p_1231->g_316 p_1231->g_92 p_1231->g_388
 */
int32_t * func_48(int32_t * p_49, int64_t  p_50, struct S3 * p_1231)
{ /* block id: 12 */
    int32_t *l_52 = &p_1231->g_30;
    uint8_t *l_59[4][5] = {{(void*)0,&p_1231->g_60,&p_1231->g_60,(void*)0,(void*)0},{(void*)0,&p_1231->g_60,&p_1231->g_60,(void*)0,(void*)0},{(void*)0,&p_1231->g_60,&p_1231->g_60,(void*)0,(void*)0},{(void*)0,&p_1231->g_60,&p_1231->g_60,(void*)0,(void*)0}};
    uint64_t *l_78 = &p_1231->g_79;
    int64_t *l_85 = &p_1231->g_86;
    int8_t *l_186 = (void*)0;
    int8_t *l_187 = &p_1231->g_188[7][1][0];
    int32_t *l_190 = &p_1231->g_191;
    int32_t **l_192 = &p_1231->g_24;
    int8_t *l_243 = &p_1231->g_188[1][4][0];
    uint16_t l_266[6];
    uint16_t *l_282 = &l_266[1];
    uint16_t **l_281 = &l_282;
    int8_t l_293 = 0x03L;
    uint16_t **l_294 = &l_282;
    int32_t l_299 = 0x3E1485A5L;
    int32_t l_303[10];
    int i, j;
    for (i = 0; i < 6; i++)
        l_266[i] = 8UL;
    for (i = 0; i < 10; i++)
        l_303[i] = 0x420CE6CCL;
    (*l_52) = 0x7F54AB10L;
    (*l_192) = (((*l_52) = ((((((*l_190) = (safe_add_func_int64_t_s_s((safe_mod_func_uint64_t_u_u((safe_lshift_func_int8_t_s_s(((--p_1231->g_60) != (p_1231->g_189 = ((*l_187) = (safe_mul_func_int8_t_s_s(0x05L, (~(safe_rshift_func_uint8_t_u_s(252UL, func_67(p_50, (((*l_85) = (((*l_52) & 0L) , (p_1231->g_84 |= (p_1231->g_10 != (safe_unary_minus_func_int8_t_s(((safe_mod_func_int64_t_s_s((~(p_1231->g_77 = (*l_52))), ((*l_78)++))) < (safe_div_func_int32_t_s_s(((((*l_52) , 5UL) , p_1231->g_30) < 0L), p_1231->g_30))))))))) < (-10L)), (*l_52), l_52, p_1231))))))))), p_50)), FAKE_DIVERGE(p_1231->global_0_offset, get_global_id(0), 10))), p_50))) , p_1231->g_35.f0) & FAKE_DIVERGE(p_1231->group_1_offset, get_group_id(1), 10)) ^ 3UL) , (*p_49))) , &p_1231->g_25);
    for (p_1231->g_77 = 5; (p_1231->g_77 >= 0); p_1231->g_77 -= 1)
    { /* block id: 73 */
        uint32_t l_214[6][9] = {{4294967295UL,4294967295UL,1UL,0x040A6DBEL,0xCB03EBDBL,0x8CD386D9L,0x1EF9817DL,1UL,0x1EF9817DL},{4294967295UL,4294967295UL,1UL,0x040A6DBEL,0xCB03EBDBL,0x8CD386D9L,0x1EF9817DL,1UL,0x1EF9817DL},{4294967295UL,4294967295UL,1UL,0x040A6DBEL,0xCB03EBDBL,0x8CD386D9L,0x1EF9817DL,1UL,0x1EF9817DL},{4294967295UL,4294967295UL,1UL,0x040A6DBEL,0xCB03EBDBL,0x8CD386D9L,0x1EF9817DL,1UL,0x1EF9817DL},{4294967295UL,4294967295UL,1UL,0x040A6DBEL,0xCB03EBDBL,0x8CD386D9L,0x1EF9817DL,1UL,0x1EF9817DL},{4294967295UL,4294967295UL,1UL,0x040A6DBEL,0xCB03EBDBL,0x8CD386D9L,0x1EF9817DL,1UL,0x1EF9817DL}};
        int32_t l_237[3];
        int32_t l_292[10][5] = {{1L,0x70F1A88DL,1L,1L,0x70F1A88DL},{1L,0x70F1A88DL,1L,1L,0x70F1A88DL},{1L,0x70F1A88DL,1L,1L,0x70F1A88DL},{1L,0x70F1A88DL,1L,1L,0x70F1A88DL},{1L,0x70F1A88DL,1L,1L,0x70F1A88DL},{1L,0x70F1A88DL,1L,1L,0x70F1A88DL},{1L,0x70F1A88DL,1L,1L,0x70F1A88DL},{1L,0x70F1A88DL,1L,1L,0x70F1A88DL},{1L,0x70F1A88DL,1L,1L,0x70F1A88DL},{1L,0x70F1A88DL,1L,1L,0x70F1A88DL}};
        uint32_t l_309 = 4294967291UL;
        uint64_t *l_386 = (void*)0;
        uint64_t *l_387[5] = {&p_1231->g_388,&p_1231->g_388,&p_1231->g_388,&p_1231->g_388,&p_1231->g_388};
        uint64_t *l_389[8][1][1];
        int16_t *l_390[10][10] = {{&p_1231->g_133[2],&p_1231->g_133[1],&p_1231->g_140,(void*)0,(void*)0,(void*)0,(void*)0,&p_1231->g_140,&p_1231->g_133[1],&p_1231->g_133[2]},{&p_1231->g_133[2],&p_1231->g_133[1],&p_1231->g_140,(void*)0,(void*)0,(void*)0,(void*)0,&p_1231->g_140,&p_1231->g_133[1],&p_1231->g_133[2]},{&p_1231->g_133[2],&p_1231->g_133[1],&p_1231->g_140,(void*)0,(void*)0,(void*)0,(void*)0,&p_1231->g_140,&p_1231->g_133[1],&p_1231->g_133[2]},{&p_1231->g_133[2],&p_1231->g_133[1],&p_1231->g_140,(void*)0,(void*)0,(void*)0,(void*)0,&p_1231->g_140,&p_1231->g_133[1],&p_1231->g_133[2]},{&p_1231->g_133[2],&p_1231->g_133[1],&p_1231->g_140,(void*)0,(void*)0,(void*)0,(void*)0,&p_1231->g_140,&p_1231->g_133[1],&p_1231->g_133[2]},{&p_1231->g_133[2],&p_1231->g_133[1],&p_1231->g_140,(void*)0,(void*)0,(void*)0,(void*)0,&p_1231->g_140,&p_1231->g_133[1],&p_1231->g_133[2]},{&p_1231->g_133[2],&p_1231->g_133[1],&p_1231->g_140,(void*)0,(void*)0,(void*)0,(void*)0,&p_1231->g_140,&p_1231->g_133[1],&p_1231->g_133[2]},{&p_1231->g_133[2],&p_1231->g_133[1],&p_1231->g_140,(void*)0,(void*)0,(void*)0,(void*)0,&p_1231->g_140,&p_1231->g_133[1],&p_1231->g_133[2]},{&p_1231->g_133[2],&p_1231->g_133[1],&p_1231->g_140,(void*)0,(void*)0,(void*)0,(void*)0,&p_1231->g_140,&p_1231->g_133[1],&p_1231->g_133[2]},{&p_1231->g_133[2],&p_1231->g_133[1],&p_1231->g_140,(void*)0,(void*)0,(void*)0,(void*)0,&p_1231->g_140,&p_1231->g_133[1],&p_1231->g_133[2]}};
        int32_t l_391 = 9L;
        int32_t *l_392 = &l_299;
        int64_t *l_398 = &p_1231->g_86;
        int i, j, k;
        for (i = 0; i < 3; i++)
            l_237[i] = (-5L);
        for (i = 0; i < 8; i++)
        {
            for (j = 0; j < 1; j++)
            {
                for (k = 0; k < 1; k++)
                    l_389[i][j][k] = &p_1231->g_92[0];
            }
        }
        for (p_1231->g_191 = 0; (p_1231->g_191 <= 0); p_1231->g_191 += 1)
        { /* block id: 76 */
            uint32_t l_203 = 0x68C70531L;
            int16_t *l_230 = (void*)0;
            int64_t l_252 = 0x43EBD9387172B58AL;
            int32_t l_301 = 8L;
            int32_t l_304[5];
            uint8_t *l_314 = &p_1231->g_166[6];
            int i;
            for (i = 0; i < 5; i++)
                l_304[i] = (-7L);
            for (p_1231->g_30 = 0; (p_1231->g_30 <= 0); p_1231->g_30 += 1)
            { /* block id: 79 */
                uint16_t *l_215 = &p_1231->g_138;
                int16_t *l_216 = (void*)0;
                int16_t *l_217 = &p_1231->g_84;
                int i, j;
                if ((((*l_217) = (safe_rshift_func_uint8_t_u_u((p_1231->g_135[p_1231->g_191] = ((((safe_add_func_uint16_t_u_u(FAKE_DIVERGE(p_1231->local_0_offset, get_local_id(0), 10), (safe_lshift_func_uint8_t_u_u(p_1231->g_135[p_1231->g_191], 7)))) == p_1231->g_92[p_1231->g_30]) == ((((safe_sub_func_int16_t_s_s(((((void*)0 == l_59[(p_1231->g_30 + 1)][(p_1231->g_30 + 3)]) | l_203) || (safe_div_func_int8_t_s_s((safe_mod_func_uint8_t_u_u(((l_203 | 0UL) , ((safe_sub_func_uint16_t_u_u((safe_rshift_func_int8_t_s_s((safe_div_func_int32_t_s_s((((p_1231->g_133[2] ^ (l_214[3][1] = p_50)) & l_203) && 0xE91CL), p_50)), p_1231->g_60)), p_50)) || p_1231->g_10)), 1UL)), p_1231->g_92[p_1231->g_30]))), l_203)) | p_50) , l_215) == (void*)0)) & 0x55DAL)), p_50))) < 0x1ED5L))
                { /* block id: 83 */
                    int32_t *l_222 = &p_1231->g_223;
                    int16_t *l_231[10];
                    int16_t **l_232 = (void*)0;
                    int16_t **l_233[2];
                    int32_t l_238 = (-3L);
                    uint32_t l_253[7][8][2] = {{{0UL,4294967289UL},{0UL,4294967289UL},{0UL,4294967289UL},{0UL,4294967289UL},{0UL,4294967289UL},{0UL,4294967289UL},{0UL,4294967289UL},{0UL,4294967289UL}},{{0UL,4294967289UL},{0UL,4294967289UL},{0UL,4294967289UL},{0UL,4294967289UL},{0UL,4294967289UL},{0UL,4294967289UL},{0UL,4294967289UL},{0UL,4294967289UL}},{{0UL,4294967289UL},{0UL,4294967289UL},{0UL,4294967289UL},{0UL,4294967289UL},{0UL,4294967289UL},{0UL,4294967289UL},{0UL,4294967289UL},{0UL,4294967289UL}},{{0UL,4294967289UL},{0UL,4294967289UL},{0UL,4294967289UL},{0UL,4294967289UL},{0UL,4294967289UL},{0UL,4294967289UL},{0UL,4294967289UL},{0UL,4294967289UL}},{{0UL,4294967289UL},{0UL,4294967289UL},{0UL,4294967289UL},{0UL,4294967289UL},{0UL,4294967289UL},{0UL,4294967289UL},{0UL,4294967289UL},{0UL,4294967289UL}},{{0UL,4294967289UL},{0UL,4294967289UL},{0UL,4294967289UL},{0UL,4294967289UL},{0UL,4294967289UL},{0UL,4294967289UL},{0UL,4294967289UL},{0UL,4294967289UL}},{{0UL,4294967289UL},{0UL,4294967289UL},{0UL,4294967289UL},{0UL,4294967289UL},{0UL,4294967289UL},{0UL,4294967289UL},{0UL,4294967289UL},{0UL,4294967289UL}}};
                    int i, j, k;
                    for (i = 0; i < 10; i++)
                        l_231[i] = (void*)0;
                    for (i = 0; i < 2; i++)
                        l_233[i] = &l_230;
                    l_238 |= (l_237[2] &= (safe_div_func_int8_t_s_s(((void*)0 == l_85), ((safe_mod_func_int64_t_s_s(p_1231->g_135[p_1231->g_191], ((p_1231->g_60 || ((~((*l_222) = 0x53E824FAL)) , (p_50 > (safe_lshift_func_int16_t_s_s((safe_add_func_int8_t_s_s(((*l_187) = ((safe_add_func_int8_t_s_s(((p_1231->g_234 = (l_231[4] = l_230)) == &p_1231->g_77), (safe_sub_func_int64_t_s_s(((!0x3A185DD0L) >= (*l_222)), 0x4ED1C8C2AAD6875EL)))) , p_1231->g_223)), GROUP_DIVERGE(0, 1))), 10))))) || GROUP_DIVERGE(2, 1)))) | p_1231->g_135[0]))));
                    (*l_222) |= ((safe_rshift_func_uint16_t_u_u(FAKE_DIVERGE(p_1231->group_1_offset, get_group_id(1), 10), 12)) > (((safe_rshift_func_uint8_t_u_s(((((0x05A5C68BL >= (((*l_52) < ((l_243 != (void*)0) >= (safe_lshift_func_int8_t_s_u((safe_add_func_uint8_t_u_u((l_252 = ((-1L) & ((safe_sub_func_uint8_t_u_u(((+(safe_mod_func_uint32_t_u_u((~p_1231->g_60), (*l_52)))) <= ((((((*l_85) = (l_217 == &p_1231->g_133[0])) <= GROUP_DIVERGE(1, 1)) , 0UL) , (void*)0) == p_49)), (-10L))) | (-1L)))), l_203)), 4)))) == p_50)) , l_253[6][2][1]) , p_1231->g_188[7][1][0]) >= p_50), 5)) <= (*p_1231->g_24)) || 1UL));
                }
                else
                { /* block id: 93 */
                    int32_t ***l_254 = (void*)0;
                    int32_t ***l_255 = &l_192;
                    (*l_255) = &p_49;
                }
            }
            for (p_1231->g_138 = 0; (p_1231->g_138 <= 0); p_1231->g_138 += 1)
            { /* block id: 99 */
                int32_t ***l_258[8][6][5] = {{{&l_192,(void*)0,(void*)0,&l_192,&l_192},{&l_192,(void*)0,(void*)0,&l_192,&l_192},{&l_192,(void*)0,(void*)0,&l_192,&l_192},{&l_192,(void*)0,(void*)0,&l_192,&l_192},{&l_192,(void*)0,(void*)0,&l_192,&l_192},{&l_192,(void*)0,(void*)0,&l_192,&l_192}},{{&l_192,(void*)0,(void*)0,&l_192,&l_192},{&l_192,(void*)0,(void*)0,&l_192,&l_192},{&l_192,(void*)0,(void*)0,&l_192,&l_192},{&l_192,(void*)0,(void*)0,&l_192,&l_192},{&l_192,(void*)0,(void*)0,&l_192,&l_192},{&l_192,(void*)0,(void*)0,&l_192,&l_192}},{{&l_192,(void*)0,(void*)0,&l_192,&l_192},{&l_192,(void*)0,(void*)0,&l_192,&l_192},{&l_192,(void*)0,(void*)0,&l_192,&l_192},{&l_192,(void*)0,(void*)0,&l_192,&l_192},{&l_192,(void*)0,(void*)0,&l_192,&l_192},{&l_192,(void*)0,(void*)0,&l_192,&l_192}},{{&l_192,(void*)0,(void*)0,&l_192,&l_192},{&l_192,(void*)0,(void*)0,&l_192,&l_192},{&l_192,(void*)0,(void*)0,&l_192,&l_192},{&l_192,(void*)0,(void*)0,&l_192,&l_192},{&l_192,(void*)0,(void*)0,&l_192,&l_192},{&l_192,(void*)0,(void*)0,&l_192,&l_192}},{{&l_192,(void*)0,(void*)0,&l_192,&l_192},{&l_192,(void*)0,(void*)0,&l_192,&l_192},{&l_192,(void*)0,(void*)0,&l_192,&l_192},{&l_192,(void*)0,(void*)0,&l_192,&l_192},{&l_192,(void*)0,(void*)0,&l_192,&l_192},{&l_192,(void*)0,(void*)0,&l_192,&l_192}},{{&l_192,(void*)0,(void*)0,&l_192,&l_192},{&l_192,(void*)0,(void*)0,&l_192,&l_192},{&l_192,(void*)0,(void*)0,&l_192,&l_192},{&l_192,(void*)0,(void*)0,&l_192,&l_192},{&l_192,(void*)0,(void*)0,&l_192,&l_192},{&l_192,(void*)0,(void*)0,&l_192,&l_192}},{{&l_192,(void*)0,(void*)0,&l_192,&l_192},{&l_192,(void*)0,(void*)0,&l_192,&l_192},{&l_192,(void*)0,(void*)0,&l_192,&l_192},{&l_192,(void*)0,(void*)0,&l_192,&l_192},{&l_192,(void*)0,(void*)0,&l_192,&l_192},{&l_192,(void*)0,(void*)0,&l_192,&l_192}},{{&l_192,(void*)0,(void*)0,&l_192,&l_192},{&l_192,(void*)0,(void*)0,&l_192,&l_192},{&l_192,(void*)0,(void*)0,&l_192,&l_192},{&l_192,(void*)0,(void*)0,&l_192,&l_192},{&l_192,(void*)0,(void*)0,&l_192,&l_192},{&l_192,(void*)0,(void*)0,&l_192,&l_192}}};
                int64_t *l_263 = &p_1231->g_86;
                int32_t ***l_265 = &p_1231->g_260[0];
                int32_t ****l_264 = &l_265;
                uint16_t **l_283 = &l_282;
                int i, j, k;
                (*l_52) = (((void*)0 == &l_252) ^ (((safe_lshift_func_int16_t_s_s((p_1231->g_135[p_1231->g_191] != p_1231->g_92[(p_1231->g_138 + 2)]), (p_50 & (p_50 & (p_1231->g_191 , (((p_1231->g_259 = l_258[6][1][3]) == ((*l_264) = (((*l_243) = (safe_sub_func_uint16_t_u_u(((l_252 , (void*)0) != l_263), l_252))) , &p_1231->g_260[7]))) && l_237[2])))))) != l_266[1]) | 8L));
                if (((safe_mod_func_uint32_t_u_u((safe_lshift_func_uint16_t_u_u((safe_lshift_func_uint8_t_u_s(((****l_264) > (safe_mod_func_int8_t_s_s((safe_mod_func_int16_t_s_s((((safe_rshift_func_uint16_t_u_u(p_1231->g_188[7][1][0], 9)) , (!(p_50 <= l_237[2]))) < l_203), (0xB10FL || (safe_mod_func_uint64_t_u_u(((l_283 = l_281) == ((((safe_rshift_func_int16_t_s_u((safe_div_func_uint32_t_u_u((+(safe_add_func_uint32_t_u_u(((safe_mul_func_int16_t_s_s((l_292[1][3] = ((*p_49) , 0x7614L)), p_1231->g_223)) >= l_293), 0xB1BEFFD9L))), (****l_264))), p_50)) > 0x55L) | p_50) , l_294)), p_1231->g_138))))), p_1231->g_135[0]))), p_1231->g_135[0])), p_1231->g_223)), l_214[3][1])) , (*p_49)))
                { /* block id: 106 */
                    int16_t l_300[4] = {0x199AL,0x199AL,0x199AL,0x199AL};
                    int32_t l_305 = 0x6A29B00BL;
                    int32_t l_308 = 0x0C0448F3L;
                    int i;
                    if ((*l_52))
                    { /* block id: 107 */
                        struct S0 *l_295[9] = {&p_1231->g_296,&p_1231->g_296,&p_1231->g_296,&p_1231->g_296,&p_1231->g_296,&p_1231->g_296,&p_1231->g_296,&p_1231->g_296,&p_1231->g_296};
                        struct S0 **l_298 = &l_295[6];
                        int i;
                        l_292[1][3] |= (*p_49);
                        (*l_298) = l_295[6];
                    }
                    else
                    { /* block id: 110 */
                        int32_t l_302[10] = {1L,0L,1L,1L,0L,1L,1L,0L,1L,1L};
                        int32_t l_306[3];
                        int16_t l_307 = 1L;
                        int i;
                        for (i = 0; i < 3; i++)
                            l_306[i] = (-8L);
                        --l_309;
                        if ((*p_1231->g_24))
                            continue;
                        if ((*p_49))
                            continue;
                    }
                    if (((*l_52) = (p_1231->g_188[6][0][0] , l_252)))
                    { /* block id: 116 */
                        l_237[1] = 0x038D1F01L;
                        if ((*p_49))
                            break;
                        (*l_52) = ((p_50 , &p_1231->g_166[2]) == ((l_309 >= (l_292[1][3] != (safe_rshift_func_int16_t_s_s(0x1955L, 3)))) , l_314));
                        (*l_192) = (**l_265);
                    }
                    else
                    { /* block id: 121 */
                        if ((*p_49))
                            break;
                    }
                    for (p_50 = 0; (p_50 <= 0); p_50 += 1)
                    { /* block id: 126 */
                        uint16_t *l_315 = &p_1231->g_316;
                        int32_t l_317 = 0L;
                        int i;
                        if ((*p_49))
                            break;
                        l_317 |= ((*l_52) = ((l_78 != (((*l_315) = ((((p_1231->g_135[p_1231->g_138] &= p_1231->g_84) == p_1231->g_223) , 65531UL) < (0x69BBL & ((*l_282) ^= FAKE_DIVERGE(p_1231->global_1_offset, get_global_id(1), 10))))) , &p_50)) < ((p_50 & ((p_50 >= (p_1231->g_166[2] > p_1231->g_77)) & p_50)) , 1UL)));
                        (*l_52) |= ((void*)0 != p_49);
                    }
                }
                else
                { /* block id: 135 */
                    if (l_301)
                        break;
                    if ((atomic_inc(&p_1231->g_atomic_input[90 * get_linear_group_id() + 49]) == 5))
                    { /* block id: 138 */
                        int32_t l_319[7][10] = {{(-4L),0L,0L,(-4L),(-4L),0L,0L,(-4L),(-4L),0L},{(-4L),0L,0L,(-4L),(-4L),0L,0L,(-4L),(-4L),0L},{(-4L),0L,0L,(-4L),(-4L),0L,0L,(-4L),(-4L),0L},{(-4L),0L,0L,(-4L),(-4L),0L,0L,(-4L),(-4L),0L},{(-4L),0L,0L,(-4L),(-4L),0L,0L,(-4L),(-4L),0L},{(-4L),0L,0L,(-4L),(-4L),0L,0L,(-4L),(-4L),0L},{(-4L),0L,0L,(-4L),(-4L),0L,0L,(-4L),(-4L),0L}};
                        int32_t *l_318[1][3];
                        int32_t *l_320 = &l_319[4][0];
                        struct S0 l_322 = {7UL};/* VOLATILE GLOBAL l_322 */
                        struct S0 *l_321 = &l_322;
                        struct S0 l_324 = {0x2DL};/* VOLATILE GLOBAL l_324 */
                        struct S0 *l_323 = &l_324;
                        struct S0 l_326 = {0x1FL};/* VOLATILE GLOBAL l_326 */
                        struct S0 *l_325 = &l_326;
                        int i, j;
                        for (i = 0; i < 1; i++)
                        {
                            for (j = 0; j < 3; j++)
                                l_318[i][j] = &l_319[4][0];
                        }
                        l_320 = l_318[0][1];
                        l_325 = (l_323 = l_321);
                        unsigned int result = 0;
                        int l_319_i0, l_319_i1;
                        for (l_319_i0 = 0; l_319_i0 < 7; l_319_i0++) {
                            for (l_319_i1 = 0; l_319_i1 < 10; l_319_i1++) {
                                result += l_319[l_319_i0][l_319_i1];
                            }
                        }
                        result += l_322.f0;
                        result += l_324.f0;
                        result += l_326.f0;
                        atomic_add(&p_1231->g_special_values[90 * get_linear_group_id() + 49], result);
                    }
                    else
                    { /* block id: 142 */
                        (1 + 1);
                    }
                }
                return (**l_265);
            }
            if ((*p_49))
                continue;
            for (p_1231->g_84 = 0; (p_1231->g_84 >= 5); p_1231->g_84++)
            { /* block id: 151 */
                int64_t l_353 = 0x1537B4442B03CFD7L;
                int16_t l_369 = 0x0755L;
                int16_t *l_370 = &p_1231->g_140;
                for (l_299 = 3; (l_299 >= 0); l_299 -= 1)
                { /* block id: 154 */
                    struct S0 *l_332 = &p_1231->g_333;
                    int32_t l_336 = (-1L);
                    uint64_t *l_354 = (void*)0;
                    uint64_t *l_355 = &p_1231->g_92[1];
                    int i;
                    for (p_1231->g_60 = 3; (p_1231->g_60 <= 9); p_1231->g_60 += 1)
                    { /* block id: 157 */
                        struct S0 **l_331[10][1][8] = {{{&p_1231->g_329[2],(void*)0,&p_1231->g_329[2],&p_1231->g_329[2],&p_1231->g_329[0],&p_1231->g_329[2],&p_1231->g_329[2],&p_1231->g_329[2]}},{{&p_1231->g_329[2],(void*)0,&p_1231->g_329[2],&p_1231->g_329[2],&p_1231->g_329[0],&p_1231->g_329[2],&p_1231->g_329[2],&p_1231->g_329[2]}},{{&p_1231->g_329[2],(void*)0,&p_1231->g_329[2],&p_1231->g_329[2],&p_1231->g_329[0],&p_1231->g_329[2],&p_1231->g_329[2],&p_1231->g_329[2]}},{{&p_1231->g_329[2],(void*)0,&p_1231->g_329[2],&p_1231->g_329[2],&p_1231->g_329[0],&p_1231->g_329[2],&p_1231->g_329[2],&p_1231->g_329[2]}},{{&p_1231->g_329[2],(void*)0,&p_1231->g_329[2],&p_1231->g_329[2],&p_1231->g_329[0],&p_1231->g_329[2],&p_1231->g_329[2],&p_1231->g_329[2]}},{{&p_1231->g_329[2],(void*)0,&p_1231->g_329[2],&p_1231->g_329[2],&p_1231->g_329[0],&p_1231->g_329[2],&p_1231->g_329[2],&p_1231->g_329[2]}},{{&p_1231->g_329[2],(void*)0,&p_1231->g_329[2],&p_1231->g_329[2],&p_1231->g_329[0],&p_1231->g_329[2],&p_1231->g_329[2],&p_1231->g_329[2]}},{{&p_1231->g_329[2],(void*)0,&p_1231->g_329[2],&p_1231->g_329[2],&p_1231->g_329[0],&p_1231->g_329[2],&p_1231->g_329[2],&p_1231->g_329[2]}},{{&p_1231->g_329[2],(void*)0,&p_1231->g_329[2],&p_1231->g_329[2],&p_1231->g_329[0],&p_1231->g_329[2],&p_1231->g_329[2],&p_1231->g_329[2]}},{{&p_1231->g_329[2],(void*)0,&p_1231->g_329[2],&p_1231->g_329[2],&p_1231->g_329[0],&p_1231->g_329[2],&p_1231->g_329[2],&p_1231->g_329[2]}}};
                        int i, j, k;
                        l_332 = p_1231->g_329[2];
                    }
                    l_304[l_299] = ((safe_div_func_uint8_t_u_u((l_336 , ((*l_314) &= (p_50 < p_1231->g_316))), (((*l_355) = ((safe_mod_func_int8_t_s_s(((*l_187) = 0x29L), (safe_mul_func_int16_t_s_s((p_1231->g_223 & p_1231->g_133[2]), FAKE_DIVERGE(p_1231->local_2_offset, get_local_id(2), 10))))) && (((safe_rshift_func_int8_t_s_u(((l_237[1] = (safe_lshift_func_uint8_t_u_u(((safe_sub_func_int32_t_s_s((safe_add_func_uint64_t_u_u(((p_50 & (safe_div_func_uint32_t_u_u((safe_rshift_func_int16_t_s_u((0xEE35L | 0x678BL), p_50)), (*p_1231->g_24)))) , p_1231->g_84), FAKE_DIVERGE(p_1231->global_0_offset, get_global_id(0), 10))), l_353)) & p_1231->g_138), 2))) && (-10L)), p_50)) == 0UL) , (-3L)))) , p_50))) <= p_1231->g_77);
                    if ((*p_49))
                        continue;
                }
                (*l_52) = (safe_sub_func_int16_t_s_s((((safe_lshift_func_uint16_t_u_s(0UL, ((void*)0 != l_78))) ^ (safe_mod_func_uint32_t_u_u(p_1231->g_166[2], (safe_rshift_func_int8_t_s_s(p_1231->g_25, (((((safe_div_func_int64_t_s_s((safe_lshift_func_uint8_t_u_u((safe_unary_minus_func_int16_t_s(((*l_370) = l_369))), 1)), ((*l_78)--))) > p_1231->g_188[5][3][0]) | (!(GROUP_DIVERGE(1, 1) <= 0L))) > (p_1231->g_166[1] != 0x58B0D0B9L)) == p_50)))))) , 0x1761L), FAKE_DIVERGE(p_1231->local_0_offset, get_local_id(0), 10)));
            }
        }
        (*l_392) |= (safe_sub_func_int32_t_s_s(0L, (((p_50 , p_49) == (void*)0) && (p_1231->g_133[0] == ((safe_sub_func_int32_t_s_s((((l_243 = &l_293) != (((**l_192) >= (l_391 ^= (safe_lshift_func_int16_t_s_s((l_303[9] ^= ((((~(safe_unary_minus_func_uint64_t_u((((safe_sub_func_uint64_t_u_u((l_292[1][3] = ((*l_52) &= (((l_237[0] = ((p_50 > (p_1231->g_316 ^= ((safe_lshift_func_uint8_t_u_s((safe_sub_func_int16_t_s_s(((p_1231->g_388 = ((*l_78) = (l_237[2] >= l_237[2]))) >= p_50), p_1231->g_189)), (**l_192))) >= p_1231->g_92[1]))) <= p_50)) , p_1231->g_138) > 0UL))), p_1231->g_191)) , GROUP_DIVERGE(1, 1)) >= GROUP_DIVERGE(2, 1))))) , p_1231->g_135[0]) , p_50) >= p_50)), p_1231->g_60)))) , (void*)0)) || p_1231->g_30), p_50)) == 0x77L)))));
        (*l_392) = (p_49 == ((safe_unary_minus_func_int32_t_s(((((*l_52) | (safe_div_func_uint64_t_u_u((safe_lshift_func_uint8_t_u_u(FAKE_DIVERGE(p_1231->group_2_offset, get_group_id(2), 10), 7)), FAKE_DIVERGE(p_1231->local_1_offset, get_local_id(1), 10)))) , l_398) == (void*)0))) , p_49));
        return p_49;
    }
    return (*l_192);
}


/* ------------------------------------------ */
/* 
 * reads : p_1231->g_77 p_1231->g_92 p_1231->g_24 p_1231->g_30 p_1231->g_86 p_1231->g_25 p_1231->g_10 p_1231->g_140 p_1231->g_135 p_1231->g_133 p_1231->g_166 l_1097
 * writes: p_1231->g_77 p_1231->g_24 p_1231->g_30 p_1231->g_84 p_1231->g_133 p_1231->g_79 p_1231->g_140 p_1231->g_166
 */
int8_t  func_67(int64_t  p_68, uint64_t  p_69, uint32_t  p_70, int32_t * p_71, struct S3 * p_1231)
{ /* block id: 19 */
    int8_t l_93 = 0x33L;
    int32_t **l_108 = &p_1231->g_24;
    uint8_t *l_134 = &p_1231->g_135[0];
    uint16_t *l_177 = &p_1231->g_138;
    uint64_t l_185 = 18446744073709551615UL;
    for (p_1231->g_77 = 0; (p_1231->g_77 >= (-30)); p_1231->g_77 = safe_sub_func_int64_t_s_s(p_1231->g_77, 2))
    { /* block id: 22 */
        int32_t l_107 = 0x19EC1828L;
        uint64_t *l_150 = &p_1231->g_79;
        for (p_70 = 0; (p_70 < 54); p_70 = safe_add_func_int16_t_s_s(p_70, 3))
        { /* block id: 25 */
            int32_t **l_91 = &p_1231->g_24;
            int16_t *l_162 = &p_1231->g_84;
            int64_t l_163 = 0x2FD558AF5EEAC9F2L;
            uint32_t l_167 = 5UL;
            (*l_91) = p_71;
            for (p_68 = 5; (p_68 >= 0); p_68 -= 1)
            { /* block id: 29 */
                int32_t l_139 = 0x5E7E01DFL;
                int64_t l_155[4];
                int32_t l_160 = 0L;
                int i;
                for (i = 0; i < 4; i++)
                    l_155[i] = 1L;
                l_93 = (~((**l_91) = p_1231->g_92[p_68]));
                for (p_1231->g_30 = 5; (p_1231->g_30 >= 0); p_1231->g_30 -= 1)
                { /* block id: 34 */
                    int32_t *l_94 = &p_1231->g_25;
                    uint8_t *l_136[1];
                    int32_t l_141 = 1L;
                    int i;
                    for (i = 0; i < 1; i++)
                        l_136[i] = (void*)0;
                    p_1231->g_24 = l_94;
                    (*l_91) = p_71;
                    if ((((safe_mul_func_int16_t_s_s(((void*)0 == &p_71), p_1231->g_92[p_1231->g_30])) || (safe_lshift_func_uint8_t_u_s((((safe_lshift_func_int8_t_s_u(((safe_rshift_func_int8_t_s_s(p_68, 5)) , (p_68 || (p_1231->g_86 | (safe_rshift_func_int8_t_s_s(0x66L, 6))))), 3)) | (((((safe_add_func_int64_t_s_s(0x4C718FE3B64D7EEAL, GROUP_DIVERGE(0, 1))) & ((l_107 , (void*)0) == l_108)) > p_69) <= p_1231->g_25) >= 3L)) <= p_70), 5))) == 65532UL))
                    { /* block id: 37 */
                        int16_t *l_131 = (void*)0;
                        int16_t *l_132 = &p_1231->g_133[2];
                        uint16_t *l_137[6];
                        int64_t *l_161 = &l_155[0];
                        int64_t *l_164[7] = {(void*)0,&l_163,(void*)0,(void*)0,&l_163,(void*)0,(void*)0};
                        int32_t l_165[7] = {(-1L),0x6209D16BL,(-1L),(-1L),0x6209D16BL,(-1L),(-1L)};
                        int32_t *l_168 = &l_160;
                        uint16_t **l_178 = &l_137[3];
                        int i;
                        for (i = 0; i < 6; i++)
                            l_137[i] = &p_1231->g_138;
                        l_141 ^= (((p_1231->g_140 |= (safe_mod_func_int8_t_s_s(((!(safe_lshift_func_int8_t_s_s((safe_add_func_uint64_t_u_u(FAKE_DIVERGE(p_1231->local_0_offset, get_local_id(0), 10), (safe_add_func_uint8_t_u_u(((l_139 ^= ((safe_mod_func_uint8_t_u_u(p_1231->g_92[4], (+253UL))) > (safe_lshift_func_uint16_t_u_u(p_1231->g_92[1], ((((p_1231->g_30 != (p_1231->g_79 = ((**l_108) , (safe_mod_func_uint8_t_u_u(((safe_rshift_func_int16_t_s_u((safe_div_func_uint32_t_u_u((safe_mod_func_uint32_t_u_u((**l_91), ((p_70 , (safe_rshift_func_int8_t_s_s((((*l_132) = (p_1231->g_84 = (**l_108))) | ((l_134 == l_136[0]) || p_1231->g_92[p_68])), p_68))) || p_1231->g_30))), l_107)), 0)) >= p_70), p_68))))) & 1L) | l_107) == p_70))))) ^ p_1231->g_10), (*l_94))))), 7))) != (*l_94)), 0x98L))) != p_1231->g_135[0]) , (**l_108));
                        (*l_168) = ((~((l_167 = (+(safe_rshift_func_uint8_t_u_s(FAKE_DIVERGE(p_1231->group_0_offset, get_group_id(0), 10), ((p_1231->g_166[2] |= (((safe_sub_func_uint32_t_u_u((safe_div_func_int32_t_s_s((((((((*l_94) | (l_165[4] ^= ((p_1231->g_25 != 0x646EC4B94AD5AEA9L) && (((**l_91) > (safe_mod_func_int32_t_s_s(((((l_150 == &p_1231->g_79) & (safe_rshift_func_uint8_t_u_s((((safe_div_func_int64_t_s_s((l_155[0] , (((safe_mod_func_int64_t_s_s(((p_1231->g_10 >= ((*l_161) = (((safe_sub_func_int16_t_s_s(l_160, (**l_91))) ^ 0x4AL) >= p_68))) < (*l_94)), p_70)) , (void*)0) == l_162)), 4L)) , &p_1231->g_135[0]) != &p_1231->g_135[0]), p_70))) || (*p_1231->g_24)) && 18446744073709551615UL), l_163))) <= 0x917CL)))) , 0x94L) || 0x76L) , p_1231->g_133[2]) , &p_1231->g_86) == (void*)0), (*p_1231->g_24))), p_1231->g_140)) >= 0x93370524L) > p_70)) | (*p_1231->g_24)))))) && 0UL)) & (*p_1231->g_24));
                        (*l_168) = (((FAKE_DIVERGE(p_1231->group_2_offset, get_group_id(2), 10) == (**l_91)) != ((*l_94) == ((((*p_71) , (safe_lshift_func_uint16_t_u_s(0x294EL, 1))) != (safe_div_func_int8_t_s_s((safe_lshift_func_uint16_t_u_s(((p_70 , (safe_mul_func_int8_t_s_s((((*l_178) = (l_177 = l_162)) != &p_1231->g_138), (-10L)))) | (safe_div_func_uint16_t_u_u((safe_add_func_uint16_t_u_u((&l_155[2] != (void*)0), 0x3EBEL)), 65535UL))), p_69)), l_107))) != (*p_1231->g_24)))) == p_1231->g_92[2]);
                        p_1231->g_24 = &p_1231->g_30;
                    }
                    else
                    { /* block id: 53 */
                        (*l_91) = p_71;
                        return l_139;
                    }
                }
            }
            if ((**l_108))
                break;
            (*p_1231->g_24) = (p_1231->g_166[2] <= (*p_1231->g_24));
        }
        return l_107;
    }
    (*p_71) = (safe_rshift_func_int16_t_s_u(l_185, 1));
    return (**l_108);
}


__kernel void entry(__global ulong *result, __global volatile uint *g_atomic_input, __global volatile uint *g_special_values, __global int *sequence_input) {
    int i, j, k;
    __local volatile uint32_t l_atomic_input[90];
    if (get_linear_local_id() == 0)
        for (i = 0; i < 90; i++)
            l_atomic_input[i] = 0;
    __local volatile uint32_t l_special_values[90];
    if (get_linear_local_id() == 0)
        for (i = 0; i < 90; i++)
            l_special_values[i] = 0;
    struct S3 c_1232;
    struct S3* p_1231 = &c_1232;
    struct S3 c_1233 = {
        4294967295UL, // p_1231->g_10
        1L, // p_1231->g_25
        &p_1231->g_25, // p_1231->g_24
        0x066193FEL, // p_1231->g_30
        &p_1231->g_30, // p_1231->g_29
        {0x74L}, // p_1231->g_35
        0x66L, // p_1231->g_60
        6L, // p_1231->g_77
        0xBABA27FA52E963E9L, // p_1231->g_79
        (-1L), // p_1231->g_84
        (-1L), // p_1231->g_86
        {0x4F50F898D4ED1E22L,0x4F50F898D4ED1E22L,0x4F50F898D4ED1E22L,0x4F50F898D4ED1E22L,0x4F50F898D4ED1E22L,0x4F50F898D4ED1E22L}, // p_1231->g_92
        {7L,7L,7L}, // p_1231->g_133
        {7UL}, // p_1231->g_135
        0x0563L, // p_1231->g_138
        0x57AAL, // p_1231->g_140
        {0xF8L,0xF8L,0xF8L,0xF8L,0xF8L,0xF8L,0xF8L,0xF8L,0xF8L}, // p_1231->g_166
        {{{0L},{0L},{0L},{0L},{0L}},{{0L},{0L},{0L},{0L},{0L}},{{0L},{0L},{0L},{0L},{0L}},{{0L},{0L},{0L},{0L},{0L}},{{0L},{0L},{0L},{0L},{0L}},{{0L},{0L},{0L},{0L},{0L}},{{0L},{0L},{0L},{0L},{0L}},{{0L},{0L},{0L},{0L},{0L}}}, // p_1231->g_188
        0xD9L, // p_1231->g_189
        (-5L), // p_1231->g_191
        0x6E4592D3L, // p_1231->g_223
        &p_1231->g_140, // p_1231->g_234
        {&p_1231->g_24,&p_1231->g_24,&p_1231->g_24,&p_1231->g_24,&p_1231->g_24,&p_1231->g_24,&p_1231->g_24,&p_1231->g_24,&p_1231->g_24,&p_1231->g_24}, // p_1231->g_260
        &p_1231->g_260[4], // p_1231->g_259
        {0x42L}, // p_1231->g_296
        {247UL}, // p_1231->g_297
        65533UL, // p_1231->g_316
        {0x04L}, // p_1231->g_330
        {&p_1231->g_330,&p_1231->g_330,&p_1231->g_330}, // p_1231->g_329
        {0UL}, // p_1231->g_333
        0x14E21D8020723358L, // p_1231->g_388
        0x678D4E72L, // p_1231->g_408
        0x60C1E190L, // p_1231->g_413
        {{0x3AC8DA50L,0x3AC8DA50L,0x3AC8DA50L,0x3AC8DA50L,0x3AC8DA50L,0x3AC8DA50L,0x3AC8DA50L,0x3AC8DA50L}}, // p_1231->g_415
        0UL, // p_1231->g_416
        {0x33L}, // p_1231->g_418
        {9L}, // p_1231->g_419
        {-4L}, // p_1231->g_420
        {{{0x76L},{0x76L},{0x57L},{0L},{0x26L},{1L},{1L},{0x14L},{1L}},{{0x76L},{0x76L},{0x57L},{0L},{0x26L},{1L},{1L},{0x14L},{1L}},{{0x76L},{0x76L},{0x57L},{0L},{0x26L},{1L},{1L},{0x14L},{1L}},{{0x76L},{0x76L},{0x57L},{0L},{0x26L},{1L},{1L},{0x14L},{1L}},{{0x76L},{0x76L},{0x57L},{0L},{0x26L},{1L},{1L},{0x14L},{1L}}}, // p_1231->g_421
        {0x16L}, // p_1231->g_422
        {-1L}, // p_1231->g_423
        {0x03L}, // p_1231->g_424
        {0x4BL}, // p_1231->g_425
        {{{(void*)0,&p_1231->g_422,(void*)0,(void*)0,&p_1231->g_422,(void*)0},{(void*)0,&p_1231->g_422,(void*)0,(void*)0,&p_1231->g_422,(void*)0},{(void*)0,&p_1231->g_422,(void*)0,(void*)0,&p_1231->g_422,(void*)0},{(void*)0,&p_1231->g_422,(void*)0,(void*)0,&p_1231->g_422,(void*)0},{(void*)0,&p_1231->g_422,(void*)0,(void*)0,&p_1231->g_422,(void*)0},{(void*)0,&p_1231->g_422,(void*)0,(void*)0,&p_1231->g_422,(void*)0}},{{(void*)0,&p_1231->g_422,(void*)0,(void*)0,&p_1231->g_422,(void*)0},{(void*)0,&p_1231->g_422,(void*)0,(void*)0,&p_1231->g_422,(void*)0},{(void*)0,&p_1231->g_422,(void*)0,(void*)0,&p_1231->g_422,(void*)0},{(void*)0,&p_1231->g_422,(void*)0,(void*)0,&p_1231->g_422,(void*)0},{(void*)0,&p_1231->g_422,(void*)0,(void*)0,&p_1231->g_422,(void*)0},{(void*)0,&p_1231->g_422,(void*)0,(void*)0,&p_1231->g_422,(void*)0}}}, // p_1231->g_417
        {{254UL},{254UL},{254UL},{254UL},{254UL},{254UL},{254UL}}, // p_1231->g_579
        (void*)0, // p_1231->g_581
        {9L}, // p_1231->g_629
        {1UL}, // p_1231->g_646
        {{{{0x6E13BB57L,{255UL},0x4FL,0UL,0x7A103F419626DC2CL,0x32L,0x4A4A676DL,2UL},{4294967290UL,{249UL},0x20L,4294967289UL,0x03EA6BD114DE36BDL,1L,-1L,18446744073709551610UL},{4294967290UL,{249UL},0x20L,4294967289UL,0x03EA6BD114DE36BDL,1L,-1L,18446744073709551610UL}},{{0x6E13BB57L,{255UL},0x4FL,0UL,0x7A103F419626DC2CL,0x32L,0x4A4A676DL,2UL},{4294967290UL,{249UL},0x20L,4294967289UL,0x03EA6BD114DE36BDL,1L,-1L,18446744073709551610UL},{4294967290UL,{249UL},0x20L,4294967289UL,0x03EA6BD114DE36BDL,1L,-1L,18446744073709551610UL}},{{0x6E13BB57L,{255UL},0x4FL,0UL,0x7A103F419626DC2CL,0x32L,0x4A4A676DL,2UL},{4294967290UL,{249UL},0x20L,4294967289UL,0x03EA6BD114DE36BDL,1L,-1L,18446744073709551610UL},{4294967290UL,{249UL},0x20L,4294967289UL,0x03EA6BD114DE36BDL,1L,-1L,18446744073709551610UL}},{{0x6E13BB57L,{255UL},0x4FL,0UL,0x7A103F419626DC2CL,0x32L,0x4A4A676DL,2UL},{4294967290UL,{249UL},0x20L,4294967289UL,0x03EA6BD114DE36BDL,1L,-1L,18446744073709551610UL},{4294967290UL,{249UL},0x20L,4294967289UL,0x03EA6BD114DE36BDL,1L,-1L,18446744073709551610UL}},{{0x6E13BB57L,{255UL},0x4FL,0UL,0x7A103F419626DC2CL,0x32L,0x4A4A676DL,2UL},{4294967290UL,{249UL},0x20L,4294967289UL,0x03EA6BD114DE36BDL,1L,-1L,18446744073709551610UL},{4294967290UL,{249UL},0x20L,4294967289UL,0x03EA6BD114DE36BDL,1L,-1L,18446744073709551610UL}},{{0x6E13BB57L,{255UL},0x4FL,0UL,0x7A103F419626DC2CL,0x32L,0x4A4A676DL,2UL},{4294967290UL,{249UL},0x20L,4294967289UL,0x03EA6BD114DE36BDL,1L,-1L,18446744073709551610UL},{4294967290UL,{249UL},0x20L,4294967289UL,0x03EA6BD114DE36BDL,1L,-1L,18446744073709551610UL}}},{{{0x6E13BB57L,{255UL},0x4FL,0UL,0x7A103F419626DC2CL,0x32L,0x4A4A676DL,2UL},{4294967290UL,{249UL},0x20L,4294967289UL,0x03EA6BD114DE36BDL,1L,-1L,18446744073709551610UL},{4294967290UL,{249UL},0x20L,4294967289UL,0x03EA6BD114DE36BDL,1L,-1L,18446744073709551610UL}},{{0x6E13BB57L,{255UL},0x4FL,0UL,0x7A103F419626DC2CL,0x32L,0x4A4A676DL,2UL},{4294967290UL,{249UL},0x20L,4294967289UL,0x03EA6BD114DE36BDL,1L,-1L,18446744073709551610UL},{4294967290UL,{249UL},0x20L,4294967289UL,0x03EA6BD114DE36BDL,1L,-1L,18446744073709551610UL}},{{0x6E13BB57L,{255UL},0x4FL,0UL,0x7A103F419626DC2CL,0x32L,0x4A4A676DL,2UL},{4294967290UL,{249UL},0x20L,4294967289UL,0x03EA6BD114DE36BDL,1L,-1L,18446744073709551610UL},{4294967290UL,{249UL},0x20L,4294967289UL,0x03EA6BD114DE36BDL,1L,-1L,18446744073709551610UL}},{{0x6E13BB57L,{255UL},0x4FL,0UL,0x7A103F419626DC2CL,0x32L,0x4A4A676DL,2UL},{4294967290UL,{249UL},0x20L,4294967289UL,0x03EA6BD114DE36BDL,1L,-1L,18446744073709551610UL},{4294967290UL,{249UL},0x20L,4294967289UL,0x03EA6BD114DE36BDL,1L,-1L,18446744073709551610UL}},{{0x6E13BB57L,{255UL},0x4FL,0UL,0x7A103F419626DC2CL,0x32L,0x4A4A676DL,2UL},{4294967290UL,{249UL},0x20L,4294967289UL,0x03EA6BD114DE36BDL,1L,-1L,18446744073709551610UL},{4294967290UL,{249UL},0x20L,4294967289UL,0x03EA6BD114DE36BDL,1L,-1L,18446744073709551610UL}},{{0x6E13BB57L,{255UL},0x4FL,0UL,0x7A103F419626DC2CL,0x32L,0x4A4A676DL,2UL},{4294967290UL,{249UL},0x20L,4294967289UL,0x03EA6BD114DE36BDL,1L,-1L,18446744073709551610UL},{4294967290UL,{249UL},0x20L,4294967289UL,0x03EA6BD114DE36BDL,1L,-1L,18446744073709551610UL}}},{{{0x6E13BB57L,{255UL},0x4FL,0UL,0x7A103F419626DC2CL,0x32L,0x4A4A676DL,2UL},{4294967290UL,{249UL},0x20L,4294967289UL,0x03EA6BD114DE36BDL,1L,-1L,18446744073709551610UL},{4294967290UL,{249UL},0x20L,4294967289UL,0x03EA6BD114DE36BDL,1L,-1L,18446744073709551610UL}},{{0x6E13BB57L,{255UL},0x4FL,0UL,0x7A103F419626DC2CL,0x32L,0x4A4A676DL,2UL},{4294967290UL,{249UL},0x20L,4294967289UL,0x03EA6BD114DE36BDL,1L,-1L,18446744073709551610UL},{4294967290UL,{249UL},0x20L,4294967289UL,0x03EA6BD114DE36BDL,1L,-1L,18446744073709551610UL}},{{0x6E13BB57L,{255UL},0x4FL,0UL,0x7A103F419626DC2CL,0x32L,0x4A4A676DL,2UL},{4294967290UL,{249UL},0x20L,4294967289UL,0x03EA6BD114DE36BDL,1L,-1L,18446744073709551610UL},{4294967290UL,{249UL},0x20L,4294967289UL,0x03EA6BD114DE36BDL,1L,-1L,18446744073709551610UL}},{{0x6E13BB57L,{255UL},0x4FL,0UL,0x7A103F419626DC2CL,0x32L,0x4A4A676DL,2UL},{4294967290UL,{249UL},0x20L,4294967289UL,0x03EA6BD114DE36BDL,1L,-1L,18446744073709551610UL},{4294967290UL,{249UL},0x20L,4294967289UL,0x03EA6BD114DE36BDL,1L,-1L,18446744073709551610UL}},{{0x6E13BB57L,{255UL},0x4FL,0UL,0x7A103F419626DC2CL,0x32L,0x4A4A676DL,2UL},{4294967290UL,{249UL},0x20L,4294967289UL,0x03EA6BD114DE36BDL,1L,-1L,18446744073709551610UL},{4294967290UL,{249UL},0x20L,4294967289UL,0x03EA6BD114DE36BDL,1L,-1L,18446744073709551610UL}},{{0x6E13BB57L,{255UL},0x4FL,0UL,0x7A103F419626DC2CL,0x32L,0x4A4A676DL,2UL},{4294967290UL,{249UL},0x20L,4294967289UL,0x03EA6BD114DE36BDL,1L,-1L,18446744073709551610UL},{4294967290UL,{249UL},0x20L,4294967289UL,0x03EA6BD114DE36BDL,1L,-1L,18446744073709551610UL}}},{{{0x6E13BB57L,{255UL},0x4FL,0UL,0x7A103F419626DC2CL,0x32L,0x4A4A676DL,2UL},{4294967290UL,{249UL},0x20L,4294967289UL,0x03EA6BD114DE36BDL,1L,-1L,18446744073709551610UL},{4294967290UL,{249UL},0x20L,4294967289UL,0x03EA6BD114DE36BDL,1L,-1L,18446744073709551610UL}},{{0x6E13BB57L,{255UL},0x4FL,0UL,0x7A103F419626DC2CL,0x32L,0x4A4A676DL,2UL},{4294967290UL,{249UL},0x20L,4294967289UL,0x03EA6BD114DE36BDL,1L,-1L,18446744073709551610UL},{4294967290UL,{249UL},0x20L,4294967289UL,0x03EA6BD114DE36BDL,1L,-1L,18446744073709551610UL}},{{0x6E13BB57L,{255UL},0x4FL,0UL,0x7A103F419626DC2CL,0x32L,0x4A4A676DL,2UL},{4294967290UL,{249UL},0x20L,4294967289UL,0x03EA6BD114DE36BDL,1L,-1L,18446744073709551610UL},{4294967290UL,{249UL},0x20L,4294967289UL,0x03EA6BD114DE36BDL,1L,-1L,18446744073709551610UL}},{{0x6E13BB57L,{255UL},0x4FL,0UL,0x7A103F419626DC2CL,0x32L,0x4A4A676DL,2UL},{4294967290UL,{249UL},0x20L,4294967289UL,0x03EA6BD114DE36BDL,1L,-1L,18446744073709551610UL},{4294967290UL,{249UL},0x20L,4294967289UL,0x03EA6BD114DE36BDL,1L,-1L,18446744073709551610UL}},{{0x6E13BB57L,{255UL},0x4FL,0UL,0x7A103F419626DC2CL,0x32L,0x4A4A676DL,2UL},{4294967290UL,{249UL},0x20L,4294967289UL,0x03EA6BD114DE36BDL,1L,-1L,18446744073709551610UL},{4294967290UL,{249UL},0x20L,4294967289UL,0x03EA6BD114DE36BDL,1L,-1L,18446744073709551610UL}},{{0x6E13BB57L,{255UL},0x4FL,0UL,0x7A103F419626DC2CL,0x32L,0x4A4A676DL,2UL},{4294967290UL,{249UL},0x20L,4294967289UL,0x03EA6BD114DE36BDL,1L,-1L,18446744073709551610UL},{4294967290UL,{249UL},0x20L,4294967289UL,0x03EA6BD114DE36BDL,1L,-1L,18446744073709551610UL}}},{{{0x6E13BB57L,{255UL},0x4FL,0UL,0x7A103F419626DC2CL,0x32L,0x4A4A676DL,2UL},{4294967290UL,{249UL},0x20L,4294967289UL,0x03EA6BD114DE36BDL,1L,-1L,18446744073709551610UL},{4294967290UL,{249UL},0x20L,4294967289UL,0x03EA6BD114DE36BDL,1L,-1L,18446744073709551610UL}},{{0x6E13BB57L,{255UL},0x4FL,0UL,0x7A103F419626DC2CL,0x32L,0x4A4A676DL,2UL},{4294967290UL,{249UL},0x20L,4294967289UL,0x03EA6BD114DE36BDL,1L,-1L,18446744073709551610UL},{4294967290UL,{249UL},0x20L,4294967289UL,0x03EA6BD114DE36BDL,1L,-1L,18446744073709551610UL}},{{0x6E13BB57L,{255UL},0x4FL,0UL,0x7A103F419626DC2CL,0x32L,0x4A4A676DL,2UL},{4294967290UL,{249UL},0x20L,4294967289UL,0x03EA6BD114DE36BDL,1L,-1L,18446744073709551610UL},{4294967290UL,{249UL},0x20L,4294967289UL,0x03EA6BD114DE36BDL,1L,-1L,18446744073709551610UL}},{{0x6E13BB57L,{255UL},0x4FL,0UL,0x7A103F419626DC2CL,0x32L,0x4A4A676DL,2UL},{4294967290UL,{249UL},0x20L,4294967289UL,0x03EA6BD114DE36BDL,1L,-1L,18446744073709551610UL},{4294967290UL,{249UL},0x20L,4294967289UL,0x03EA6BD114DE36BDL,1L,-1L,18446744073709551610UL}},{{0x6E13BB57L,{255UL},0x4FL,0UL,0x7A103F419626DC2CL,0x32L,0x4A4A676DL,2UL},{4294967290UL,{249UL},0x20L,4294967289UL,0x03EA6BD114DE36BDL,1L,-1L,18446744073709551610UL},{4294967290UL,{249UL},0x20L,4294967289UL,0x03EA6BD114DE36BDL,1L,-1L,18446744073709551610UL}},{{0x6E13BB57L,{255UL},0x4FL,0UL,0x7A103F419626DC2CL,0x32L,0x4A4A676DL,2UL},{4294967290UL,{249UL},0x20L,4294967289UL,0x03EA6BD114DE36BDL,1L,-1L,18446744073709551610UL},{4294967290UL,{249UL},0x20L,4294967289UL,0x03EA6BD114DE36BDL,1L,-1L,18446744073709551610UL}}}}, // p_1231->g_649
        &p_1231->g_649[2][5][0], // p_1231->g_650
        (void*)0, // p_1231->g_652
        {0x63L}, // p_1231->g_712
        {0x3EL}, // p_1231->g_764
        {&p_1231->g_422.f1.f6,&p_1231->g_422.f1.f6}, // p_1231->g_776
        &p_1231->g_420.f1.f6, // p_1231->g_777
        &p_1231->g_425.f1.f6, // p_1231->g_778
        &p_1231->g_421[0][5].f1.f6, // p_1231->g_779
        {0x2EFCC093L,{0x65L},0x16L,0x14BC5072L,0x4842D3362D7D5989L,0x38L,-1L,0x0E6697E879180E73L}, // p_1231->g_855
        {9L}, // p_1231->g_872
        &p_1231->g_296, // p_1231->g_922
        &p_1231->g_646, // p_1231->g_937
        {{{&p_1231->g_937,&p_1231->g_937},{&p_1231->g_937,&p_1231->g_937},{&p_1231->g_937,&p_1231->g_937},{&p_1231->g_937,&p_1231->g_937}},{{&p_1231->g_937,&p_1231->g_937},{&p_1231->g_937,&p_1231->g_937},{&p_1231->g_937,&p_1231->g_937},{&p_1231->g_937,&p_1231->g_937}},{{&p_1231->g_937,&p_1231->g_937},{&p_1231->g_937,&p_1231->g_937},{&p_1231->g_937,&p_1231->g_937},{&p_1231->g_937,&p_1231->g_937}},{{&p_1231->g_937,&p_1231->g_937},{&p_1231->g_937,&p_1231->g_937},{&p_1231->g_937,&p_1231->g_937},{&p_1231->g_937,&p_1231->g_937}}}, // p_1231->g_936
        &p_1231->g_936[3][3][0], // p_1231->g_935
        &p_1231->g_330.f0, // p_1231->g_948
        {1UL}, // p_1231->g_955
        &p_1231->g_191, // p_1231->g_963
        {{(void*)0,&p_1231->g_963,(void*)0,(void*)0,&p_1231->g_963,(void*)0,(void*)0,&p_1231->g_963,(void*)0},{(void*)0,&p_1231->g_963,(void*)0,(void*)0,&p_1231->g_963,(void*)0,(void*)0,&p_1231->g_963,(void*)0},{(void*)0,&p_1231->g_963,(void*)0,(void*)0,&p_1231->g_963,(void*)0,(void*)0,&p_1231->g_963,(void*)0}}, // p_1231->g_962
        {{&p_1231->g_962[0][0],&p_1231->g_962[0][0],&p_1231->g_962[0][0],&p_1231->g_962[0][0],&p_1231->g_962[0][0]},{&p_1231->g_962[0][0],&p_1231->g_962[0][0],&p_1231->g_962[0][0],&p_1231->g_962[0][0],&p_1231->g_962[0][0]},{&p_1231->g_962[0][0],&p_1231->g_962[0][0],&p_1231->g_962[0][0],&p_1231->g_962[0][0],&p_1231->g_962[0][0]},{&p_1231->g_962[0][0],&p_1231->g_962[0][0],&p_1231->g_962[0][0],&p_1231->g_962[0][0],&p_1231->g_962[0][0]},{&p_1231->g_962[0][0],&p_1231->g_962[0][0],&p_1231->g_962[0][0],&p_1231->g_962[0][0],&p_1231->g_962[0][0]}}, // p_1231->g_961
        (void*)0, // p_1231->g_964
        {4294967295UL,{253UL},1L,0x75635E40L,0x77D01CE173DDF3E2L,0x71L,7L,0xF0A983B6E7B8F7D2L}, // p_1231->g_988
        &p_1231->g_988, // p_1231->g_989
        0x2C64200AL, // p_1231->g_1014
        (void*)0, // p_1231->g_1048
        (void*)0, // p_1231->g_1065
        0L, // p_1231->g_1099
        &p_1231->g_24, // p_1231->g_1106
        &p_1231->g_417[0][3][2], // p_1231->g_1115
        0L, // p_1231->g_1127
        {0x30811BBC38A732CCL,0x30811BBC38A732CCL}, // p_1231->g_1135
        &p_1231->g_1135[0], // p_1231->g_1134
        &p_1231->g_1134, // p_1231->g_1133
        {0x2BL}, // p_1231->g_1154
        {{{{0xADL},{0x24L},{255UL},{0x24L}}},{{{0xADL},{0x24L},{255UL},{0x24L}}},{{{0xADL},{0x24L},{255UL},{0x24L}}},{{{0xADL},{0x24L},{255UL},{0x24L}}},{{{0xADL},{0x24L},{255UL},{0x24L}}},{{{0xADL},{0x24L},{255UL},{0x24L}}},{{{0xADL},{0x24L},{255UL},{0x24L}}}}, // p_1231->g_1155
        {4294967295UL,{0UL},0x08L,1UL,1L,0x3DL,0x0D05F680L,6UL}, // p_1231->g_1160
        {{{{0x3EA99456L,{0x75L},0x6CL,0x8DAA486EL,-4L,0x3AL,0x39CAE75CL,0UL},{1UL,{0x62L},0x51L,0x995B8E07L,0x6E557FEBA7D0106BL,0x27L,0x5290502AL,0xABFC695DDB09BE60L},{1UL,{0x62L},0x51L,0x995B8E07L,0x6E557FEBA7D0106BL,0x27L,0x5290502AL,0xABFC695DDB09BE60L},{0x3EA99456L,{0x75L},0x6CL,0x8DAA486EL,-4L,0x3AL,0x39CAE75CL,0UL},{0x25ECA9B8L,{0x42L},0x70L,0xD2252887L,1L,0L,3L,18446744073709551615UL},{2UL,{0UL},3L,0xBECB6801L,-8L,3L,-1L,0xF5D713C702F8D932L},{2UL,{0UL},3L,0xBECB6801L,-8L,3L,-1L,0xF5D713C702F8D932L}},{{0x3EA99456L,{0x75L},0x6CL,0x8DAA486EL,-4L,0x3AL,0x39CAE75CL,0UL},{1UL,{0x62L},0x51L,0x995B8E07L,0x6E557FEBA7D0106BL,0x27L,0x5290502AL,0xABFC695DDB09BE60L},{1UL,{0x62L},0x51L,0x995B8E07L,0x6E557FEBA7D0106BL,0x27L,0x5290502AL,0xABFC695DDB09BE60L},{0x3EA99456L,{0x75L},0x6CL,0x8DAA486EL,-4L,0x3AL,0x39CAE75CL,0UL},{0x25ECA9B8L,{0x42L},0x70L,0xD2252887L,1L,0L,3L,18446744073709551615UL},{2UL,{0UL},3L,0xBECB6801L,-8L,3L,-1L,0xF5D713C702F8D932L},{2UL,{0UL},3L,0xBECB6801L,-8L,3L,-1L,0xF5D713C702F8D932L}},{{0x3EA99456L,{0x75L},0x6CL,0x8DAA486EL,-4L,0x3AL,0x39CAE75CL,0UL},{1UL,{0x62L},0x51L,0x995B8E07L,0x6E557FEBA7D0106BL,0x27L,0x5290502AL,0xABFC695DDB09BE60L},{1UL,{0x62L},0x51L,0x995B8E07L,0x6E557FEBA7D0106BL,0x27L,0x5290502AL,0xABFC695DDB09BE60L},{0x3EA99456L,{0x75L},0x6CL,0x8DAA486EL,-4L,0x3AL,0x39CAE75CL,0UL},{0x25ECA9B8L,{0x42L},0x70L,0xD2252887L,1L,0L,3L,18446744073709551615UL},{2UL,{0UL},3L,0xBECB6801L,-8L,3L,-1L,0xF5D713C702F8D932L},{2UL,{0UL},3L,0xBECB6801L,-8L,3L,-1L,0xF5D713C702F8D932L}}},{{{0x3EA99456L,{0x75L},0x6CL,0x8DAA486EL,-4L,0x3AL,0x39CAE75CL,0UL},{1UL,{0x62L},0x51L,0x995B8E07L,0x6E557FEBA7D0106BL,0x27L,0x5290502AL,0xABFC695DDB09BE60L},{1UL,{0x62L},0x51L,0x995B8E07L,0x6E557FEBA7D0106BL,0x27L,0x5290502AL,0xABFC695DDB09BE60L},{0x3EA99456L,{0x75L},0x6CL,0x8DAA486EL,-4L,0x3AL,0x39CAE75CL,0UL},{0x25ECA9B8L,{0x42L},0x70L,0xD2252887L,1L,0L,3L,18446744073709551615UL},{2UL,{0UL},3L,0xBECB6801L,-8L,3L,-1L,0xF5D713C702F8D932L},{2UL,{0UL},3L,0xBECB6801L,-8L,3L,-1L,0xF5D713C702F8D932L}},{{0x3EA99456L,{0x75L},0x6CL,0x8DAA486EL,-4L,0x3AL,0x39CAE75CL,0UL},{1UL,{0x62L},0x51L,0x995B8E07L,0x6E557FEBA7D0106BL,0x27L,0x5290502AL,0xABFC695DDB09BE60L},{1UL,{0x62L},0x51L,0x995B8E07L,0x6E557FEBA7D0106BL,0x27L,0x5290502AL,0xABFC695DDB09BE60L},{0x3EA99456L,{0x75L},0x6CL,0x8DAA486EL,-4L,0x3AL,0x39CAE75CL,0UL},{0x25ECA9B8L,{0x42L},0x70L,0xD2252887L,1L,0L,3L,18446744073709551615UL},{2UL,{0UL},3L,0xBECB6801L,-8L,3L,-1L,0xF5D713C702F8D932L},{2UL,{0UL},3L,0xBECB6801L,-8L,3L,-1L,0xF5D713C702F8D932L}},{{0x3EA99456L,{0x75L},0x6CL,0x8DAA486EL,-4L,0x3AL,0x39CAE75CL,0UL},{1UL,{0x62L},0x51L,0x995B8E07L,0x6E557FEBA7D0106BL,0x27L,0x5290502AL,0xABFC695DDB09BE60L},{1UL,{0x62L},0x51L,0x995B8E07L,0x6E557FEBA7D0106BL,0x27L,0x5290502AL,0xABFC695DDB09BE60L},{0x3EA99456L,{0x75L},0x6CL,0x8DAA486EL,-4L,0x3AL,0x39CAE75CL,0UL},{0x25ECA9B8L,{0x42L},0x70L,0xD2252887L,1L,0L,3L,18446744073709551615UL},{2UL,{0UL},3L,0xBECB6801L,-8L,3L,-1L,0xF5D713C702F8D932L},{2UL,{0UL},3L,0xBECB6801L,-8L,3L,-1L,0xF5D713C702F8D932L}}},{{{0x3EA99456L,{0x75L},0x6CL,0x8DAA486EL,-4L,0x3AL,0x39CAE75CL,0UL},{1UL,{0x62L},0x51L,0x995B8E07L,0x6E557FEBA7D0106BL,0x27L,0x5290502AL,0xABFC695DDB09BE60L},{1UL,{0x62L},0x51L,0x995B8E07L,0x6E557FEBA7D0106BL,0x27L,0x5290502AL,0xABFC695DDB09BE60L},{0x3EA99456L,{0x75L},0x6CL,0x8DAA486EL,-4L,0x3AL,0x39CAE75CL,0UL},{0x25ECA9B8L,{0x42L},0x70L,0xD2252887L,1L,0L,3L,18446744073709551615UL},{2UL,{0UL},3L,0xBECB6801L,-8L,3L,-1L,0xF5D713C702F8D932L},{2UL,{0UL},3L,0xBECB6801L,-8L,3L,-1L,0xF5D713C702F8D932L}},{{0x3EA99456L,{0x75L},0x6CL,0x8DAA486EL,-4L,0x3AL,0x39CAE75CL,0UL},{1UL,{0x62L},0x51L,0x995B8E07L,0x6E557FEBA7D0106BL,0x27L,0x5290502AL,0xABFC695DDB09BE60L},{1UL,{0x62L},0x51L,0x995B8E07L,0x6E557FEBA7D0106BL,0x27L,0x5290502AL,0xABFC695DDB09BE60L},{0x3EA99456L,{0x75L},0x6CL,0x8DAA486EL,-4L,0x3AL,0x39CAE75CL,0UL},{0x25ECA9B8L,{0x42L},0x70L,0xD2252887L,1L,0L,3L,18446744073709551615UL},{2UL,{0UL},3L,0xBECB6801L,-8L,3L,-1L,0xF5D713C702F8D932L},{2UL,{0UL},3L,0xBECB6801L,-8L,3L,-1L,0xF5D713C702F8D932L}},{{0x3EA99456L,{0x75L},0x6CL,0x8DAA486EL,-4L,0x3AL,0x39CAE75CL,0UL},{1UL,{0x62L},0x51L,0x995B8E07L,0x6E557FEBA7D0106BL,0x27L,0x5290502AL,0xABFC695DDB09BE60L},{1UL,{0x62L},0x51L,0x995B8E07L,0x6E557FEBA7D0106BL,0x27L,0x5290502AL,0xABFC695DDB09BE60L},{0x3EA99456L,{0x75L},0x6CL,0x8DAA486EL,-4L,0x3AL,0x39CAE75CL,0UL},{0x25ECA9B8L,{0x42L},0x70L,0xD2252887L,1L,0L,3L,18446744073709551615UL},{2UL,{0UL},3L,0xBECB6801L,-8L,3L,-1L,0xF5D713C702F8D932L},{2UL,{0UL},3L,0xBECB6801L,-8L,3L,-1L,0xF5D713C702F8D932L}}},{{{0x3EA99456L,{0x75L},0x6CL,0x8DAA486EL,-4L,0x3AL,0x39CAE75CL,0UL},{1UL,{0x62L},0x51L,0x995B8E07L,0x6E557FEBA7D0106BL,0x27L,0x5290502AL,0xABFC695DDB09BE60L},{1UL,{0x62L},0x51L,0x995B8E07L,0x6E557FEBA7D0106BL,0x27L,0x5290502AL,0xABFC695DDB09BE60L},{0x3EA99456L,{0x75L},0x6CL,0x8DAA486EL,-4L,0x3AL,0x39CAE75CL,0UL},{0x25ECA9B8L,{0x42L},0x70L,0xD2252887L,1L,0L,3L,18446744073709551615UL},{2UL,{0UL},3L,0xBECB6801L,-8L,3L,-1L,0xF5D713C702F8D932L},{2UL,{0UL},3L,0xBECB6801L,-8L,3L,-1L,0xF5D713C702F8D932L}},{{0x3EA99456L,{0x75L},0x6CL,0x8DAA486EL,-4L,0x3AL,0x39CAE75CL,0UL},{1UL,{0x62L},0x51L,0x995B8E07L,0x6E557FEBA7D0106BL,0x27L,0x5290502AL,0xABFC695DDB09BE60L},{1UL,{0x62L},0x51L,0x995B8E07L,0x6E557FEBA7D0106BL,0x27L,0x5290502AL,0xABFC695DDB09BE60L},{0x3EA99456L,{0x75L},0x6CL,0x8DAA486EL,-4L,0x3AL,0x39CAE75CL,0UL},{0x25ECA9B8L,{0x42L},0x70L,0xD2252887L,1L,0L,3L,18446744073709551615UL},{2UL,{0UL},3L,0xBECB6801L,-8L,3L,-1L,0xF5D713C702F8D932L},{2UL,{0UL},3L,0xBECB6801L,-8L,3L,-1L,0xF5D713C702F8D932L}},{{0x3EA99456L,{0x75L},0x6CL,0x8DAA486EL,-4L,0x3AL,0x39CAE75CL,0UL},{1UL,{0x62L},0x51L,0x995B8E07L,0x6E557FEBA7D0106BL,0x27L,0x5290502AL,0xABFC695DDB09BE60L},{1UL,{0x62L},0x51L,0x995B8E07L,0x6E557FEBA7D0106BL,0x27L,0x5290502AL,0xABFC695DDB09BE60L},{0x3EA99456L,{0x75L},0x6CL,0x8DAA486EL,-4L,0x3AL,0x39CAE75CL,0UL},{0x25ECA9B8L,{0x42L},0x70L,0xD2252887L,1L,0L,3L,18446744073709551615UL},{2UL,{0UL},3L,0xBECB6801L,-8L,3L,-1L,0xF5D713C702F8D932L},{2UL,{0UL},3L,0xBECB6801L,-8L,3L,-1L,0xF5D713C702F8D932L}}},{{{0x3EA99456L,{0x75L},0x6CL,0x8DAA486EL,-4L,0x3AL,0x39CAE75CL,0UL},{1UL,{0x62L},0x51L,0x995B8E07L,0x6E557FEBA7D0106BL,0x27L,0x5290502AL,0xABFC695DDB09BE60L},{1UL,{0x62L},0x51L,0x995B8E07L,0x6E557FEBA7D0106BL,0x27L,0x5290502AL,0xABFC695DDB09BE60L},{0x3EA99456L,{0x75L},0x6CL,0x8DAA486EL,-4L,0x3AL,0x39CAE75CL,0UL},{0x25ECA9B8L,{0x42L},0x70L,0xD2252887L,1L,0L,3L,18446744073709551615UL},{2UL,{0UL},3L,0xBECB6801L,-8L,3L,-1L,0xF5D713C702F8D932L},{2UL,{0UL},3L,0xBECB6801L,-8L,3L,-1L,0xF5D713C702F8D932L}},{{0x3EA99456L,{0x75L},0x6CL,0x8DAA486EL,-4L,0x3AL,0x39CAE75CL,0UL},{1UL,{0x62L},0x51L,0x995B8E07L,0x6E557FEBA7D0106BL,0x27L,0x5290502AL,0xABFC695DDB09BE60L},{1UL,{0x62L},0x51L,0x995B8E07L,0x6E557FEBA7D0106BL,0x27L,0x5290502AL,0xABFC695DDB09BE60L},{0x3EA99456L,{0x75L},0x6CL,0x8DAA486EL,-4L,0x3AL,0x39CAE75CL,0UL},{0x25ECA9B8L,{0x42L},0x70L,0xD2252887L,1L,0L,3L,18446744073709551615UL},{2UL,{0UL},3L,0xBECB6801L,-8L,3L,-1L,0xF5D713C702F8D932L},{2UL,{0UL},3L,0xBECB6801L,-8L,3L,-1L,0xF5D713C702F8D932L}},{{0x3EA99456L,{0x75L},0x6CL,0x8DAA486EL,-4L,0x3AL,0x39CAE75CL,0UL},{1UL,{0x62L},0x51L,0x995B8E07L,0x6E557FEBA7D0106BL,0x27L,0x5290502AL,0xABFC695DDB09BE60L},{1UL,{0x62L},0x51L,0x995B8E07L,0x6E557FEBA7D0106BL,0x27L,0x5290502AL,0xABFC695DDB09BE60L},{0x3EA99456L,{0x75L},0x6CL,0x8DAA486EL,-4L,0x3AL,0x39CAE75CL,0UL},{0x25ECA9B8L,{0x42L},0x70L,0xD2252887L,1L,0L,3L,18446744073709551615UL},{2UL,{0UL},3L,0xBECB6801L,-8L,3L,-1L,0xF5D713C702F8D932L},{2UL,{0UL},3L,0xBECB6801L,-8L,3L,-1L,0xF5D713C702F8D932L}}},{{{0x3EA99456L,{0x75L},0x6CL,0x8DAA486EL,-4L,0x3AL,0x39CAE75CL,0UL},{1UL,{0x62L},0x51L,0x995B8E07L,0x6E557FEBA7D0106BL,0x27L,0x5290502AL,0xABFC695DDB09BE60L},{1UL,{0x62L},0x51L,0x995B8E07L,0x6E557FEBA7D0106BL,0x27L,0x5290502AL,0xABFC695DDB09BE60L},{0x3EA99456L,{0x75L},0x6CL,0x8DAA486EL,-4L,0x3AL,0x39CAE75CL,0UL},{0x25ECA9B8L,{0x42L},0x70L,0xD2252887L,1L,0L,3L,18446744073709551615UL},{2UL,{0UL},3L,0xBECB6801L,-8L,3L,-1L,0xF5D713C702F8D932L},{2UL,{0UL},3L,0xBECB6801L,-8L,3L,-1L,0xF5D713C702F8D932L}},{{0x3EA99456L,{0x75L},0x6CL,0x8DAA486EL,-4L,0x3AL,0x39CAE75CL,0UL},{1UL,{0x62L},0x51L,0x995B8E07L,0x6E557FEBA7D0106BL,0x27L,0x5290502AL,0xABFC695DDB09BE60L},{1UL,{0x62L},0x51L,0x995B8E07L,0x6E557FEBA7D0106BL,0x27L,0x5290502AL,0xABFC695DDB09BE60L},{0x3EA99456L,{0x75L},0x6CL,0x8DAA486EL,-4L,0x3AL,0x39CAE75CL,0UL},{0x25ECA9B8L,{0x42L},0x70L,0xD2252887L,1L,0L,3L,18446744073709551615UL},{2UL,{0UL},3L,0xBECB6801L,-8L,3L,-1L,0xF5D713C702F8D932L},{2UL,{0UL},3L,0xBECB6801L,-8L,3L,-1L,0xF5D713C702F8D932L}},{{0x3EA99456L,{0x75L},0x6CL,0x8DAA486EL,-4L,0x3AL,0x39CAE75CL,0UL},{1UL,{0x62L},0x51L,0x995B8E07L,0x6E557FEBA7D0106BL,0x27L,0x5290502AL,0xABFC695DDB09BE60L},{1UL,{0x62L},0x51L,0x995B8E07L,0x6E557FEBA7D0106BL,0x27L,0x5290502AL,0xABFC695DDB09BE60L},{0x3EA99456L,{0x75L},0x6CL,0x8DAA486EL,-4L,0x3AL,0x39CAE75CL,0UL},{0x25ECA9B8L,{0x42L},0x70L,0xD2252887L,1L,0L,3L,18446744073709551615UL},{2UL,{0UL},3L,0xBECB6801L,-8L,3L,-1L,0xF5D713C702F8D932L},{2UL,{0UL},3L,0xBECB6801L,-8L,3L,-1L,0xF5D713C702F8D932L}}},{{{0x3EA99456L,{0x75L},0x6CL,0x8DAA486EL,-4L,0x3AL,0x39CAE75CL,0UL},{1UL,{0x62L},0x51L,0x995B8E07L,0x6E557FEBA7D0106BL,0x27L,0x5290502AL,0xABFC695DDB09BE60L},{1UL,{0x62L},0x51L,0x995B8E07L,0x6E557FEBA7D0106BL,0x27L,0x5290502AL,0xABFC695DDB09BE60L},{0x3EA99456L,{0x75L},0x6CL,0x8DAA486EL,-4L,0x3AL,0x39CAE75CL,0UL},{0x25ECA9B8L,{0x42L},0x70L,0xD2252887L,1L,0L,3L,18446744073709551615UL},{2UL,{0UL},3L,0xBECB6801L,-8L,3L,-1L,0xF5D713C702F8D932L},{2UL,{0UL},3L,0xBECB6801L,-8L,3L,-1L,0xF5D713C702F8D932L}},{{0x3EA99456L,{0x75L},0x6CL,0x8DAA486EL,-4L,0x3AL,0x39CAE75CL,0UL},{1UL,{0x62L},0x51L,0x995B8E07L,0x6E557FEBA7D0106BL,0x27L,0x5290502AL,0xABFC695DDB09BE60L},{1UL,{0x62L},0x51L,0x995B8E07L,0x6E557FEBA7D0106BL,0x27L,0x5290502AL,0xABFC695DDB09BE60L},{0x3EA99456L,{0x75L},0x6CL,0x8DAA486EL,-4L,0x3AL,0x39CAE75CL,0UL},{0x25ECA9B8L,{0x42L},0x70L,0xD2252887L,1L,0L,3L,18446744073709551615UL},{2UL,{0UL},3L,0xBECB6801L,-8L,3L,-1L,0xF5D713C702F8D932L},{2UL,{0UL},3L,0xBECB6801L,-8L,3L,-1L,0xF5D713C702F8D932L}},{{0x3EA99456L,{0x75L},0x6CL,0x8DAA486EL,-4L,0x3AL,0x39CAE75CL,0UL},{1UL,{0x62L},0x51L,0x995B8E07L,0x6E557FEBA7D0106BL,0x27L,0x5290502AL,0xABFC695DDB09BE60L},{1UL,{0x62L},0x51L,0x995B8E07L,0x6E557FEBA7D0106BL,0x27L,0x5290502AL,0xABFC695DDB09BE60L},{0x3EA99456L,{0x75L},0x6CL,0x8DAA486EL,-4L,0x3AL,0x39CAE75CL,0UL},{0x25ECA9B8L,{0x42L},0x70L,0xD2252887L,1L,0L,3L,18446744073709551615UL},{2UL,{0UL},3L,0xBECB6801L,-8L,3L,-1L,0xF5D713C702F8D932L},{2UL,{0UL},3L,0xBECB6801L,-8L,3L,-1L,0xF5D713C702F8D932L}}}}, // p_1231->g_1187
        (void*)0, // p_1231->g_1188
        {0xB6L}, // p_1231->g_1209
        {0x01CD846EL,{255UL},0x79L,0xA8A05C3EL,0x095799F74AF32F3CL,-6L,-1L,0x058E4372C330FC1CL}, // p_1231->g_1214
        8L, // p_1231->g_1219
        (void*)0, // p_1231->g_1229
        &p_1231->g_24, // p_1231->g_1230
        sequence_input[get_global_id(0)], // p_1231->global_0_offset
        sequence_input[get_global_id(1)], // p_1231->global_1_offset
        sequence_input[get_global_id(2)], // p_1231->global_2_offset
        sequence_input[get_local_id(0)], // p_1231->local_0_offset
        sequence_input[get_local_id(1)], // p_1231->local_1_offset
        sequence_input[get_local_id(2)], // p_1231->local_2_offset
        sequence_input[get_group_id(0)], // p_1231->group_0_offset
        sequence_input[get_group_id(1)], // p_1231->group_1_offset
        sequence_input[get_group_id(2)], // p_1231->group_2_offset
        l_atomic_input, // l_atomic_input
        l_special_values, // l_special_values
        g_atomic_input, // g_atomic_input
        g_special_values, // g_special_values
    };
    c_1232 = c_1233;
    barrier(CLK_LOCAL_MEM_FENCE | CLK_GLOBAL_MEM_FENCE);
    func_1(p_1231);
    barrier(CLK_LOCAL_MEM_FENCE | CLK_GLOBAL_MEM_FENCE);
    uint64_t crc64_context = 0xFFFFFFFFFFFFFFFFUL;
    int print_hash_value = 0;
    transparent_crc(p_1231->g_10, "p_1231->g_10", print_hash_value);
    transparent_crc(p_1231->g_25, "p_1231->g_25", print_hash_value);
    transparent_crc(p_1231->g_30, "p_1231->g_30", print_hash_value);
    transparent_crc(p_1231->g_35.f0, "p_1231->g_35.f0", print_hash_value);
    transparent_crc(p_1231->g_60, "p_1231->g_60", print_hash_value);
    transparent_crc(p_1231->g_77, "p_1231->g_77", print_hash_value);
    transparent_crc(p_1231->g_79, "p_1231->g_79", print_hash_value);
    transparent_crc(p_1231->g_84, "p_1231->g_84", print_hash_value);
    transparent_crc(p_1231->g_86, "p_1231->g_86", print_hash_value);
    for (i = 0; i < 6; i++)
    {
        transparent_crc(p_1231->g_92[i], "p_1231->g_92[i]", print_hash_value);

    }
    for (i = 0; i < 3; i++)
    {
        transparent_crc(p_1231->g_133[i], "p_1231->g_133[i]", print_hash_value);

    }
    for (i = 0; i < 1; i++)
    {
        transparent_crc(p_1231->g_135[i], "p_1231->g_135[i]", print_hash_value);

    }
    transparent_crc(p_1231->g_138, "p_1231->g_138", print_hash_value);
    transparent_crc(p_1231->g_140, "p_1231->g_140", print_hash_value);
    for (i = 0; i < 9; i++)
    {
        transparent_crc(p_1231->g_166[i], "p_1231->g_166[i]", print_hash_value);

    }
    for (i = 0; i < 8; i++)
    {
        for (j = 0; j < 5; j++)
        {
            for (k = 0; k < 1; k++)
            {
                transparent_crc(p_1231->g_188[i][j][k], "p_1231->g_188[i][j][k]", print_hash_value);

            }
        }
    }
    transparent_crc(p_1231->g_189, "p_1231->g_189", print_hash_value);
    transparent_crc(p_1231->g_191, "p_1231->g_191", print_hash_value);
    transparent_crc(p_1231->g_223, "p_1231->g_223", print_hash_value);
    transparent_crc(p_1231->g_296.f0, "p_1231->g_296.f0", print_hash_value);
    transparent_crc(p_1231->g_297.f0, "p_1231->g_297.f0", print_hash_value);
    transparent_crc(p_1231->g_316, "p_1231->g_316", print_hash_value);
    transparent_crc(p_1231->g_330.f0, "p_1231->g_330.f0", print_hash_value);
    transparent_crc(p_1231->g_333.f0, "p_1231->g_333.f0", print_hash_value);
    transparent_crc(p_1231->g_388, "p_1231->g_388", print_hash_value);
    transparent_crc(p_1231->g_408, "p_1231->g_408", print_hash_value);
    transparent_crc(p_1231->g_413, "p_1231->g_413", print_hash_value);
    for (i = 0; i < 1; i++)
    {
        for (j = 0; j < 8; j++)
        {
            transparent_crc(p_1231->g_415[i][j], "p_1231->g_415[i][j]", print_hash_value);

        }
    }
    transparent_crc(p_1231->g_416, "p_1231->g_416", print_hash_value);
    transparent_crc(p_1231->g_418.f0, "p_1231->g_418.f0", print_hash_value);
    transparent_crc(p_1231->g_419.f0, "p_1231->g_419.f0", print_hash_value);
    transparent_crc(p_1231->g_420.f0, "p_1231->g_420.f0", print_hash_value);
    for (i = 0; i < 5; i++)
    {
        for (j = 0; j < 9; j++)
        {
            transparent_crc(p_1231->g_421[i][j].f0, "p_1231->g_421[i][j].f0", print_hash_value);

        }
    }
    transparent_crc(p_1231->g_422.f0, "p_1231->g_422.f0", print_hash_value);
    transparent_crc(p_1231->g_423.f0, "p_1231->g_423.f0", print_hash_value);
    transparent_crc(p_1231->g_424.f0, "p_1231->g_424.f0", print_hash_value);
    for (i = 0; i < 7; i++)
    {
        transparent_crc(p_1231->g_579[i].f0, "p_1231->g_579[i].f0", print_hash_value);

    }
    transparent_crc(p_1231->g_629.f0, "p_1231->g_629.f0", print_hash_value);
    transparent_crc(p_1231->g_646.f0, "p_1231->g_646.f0", print_hash_value);
    for (i = 0; i < 5; i++)
    {
        for (j = 0; j < 6; j++)
        {
            for (k = 0; k < 3; k++)
            {
                transparent_crc(p_1231->g_649[i][j][k].f0, "p_1231->g_649[i][j][k].f0", print_hash_value);
                transparent_crc(p_1231->g_649[i][j][k].f1.f0, "p_1231->g_649[i][j][k].f1.f0", print_hash_value);
                transparent_crc(p_1231->g_649[i][j][k].f2, "p_1231->g_649[i][j][k].f2", print_hash_value);
                transparent_crc(p_1231->g_649[i][j][k].f3, "p_1231->g_649[i][j][k].f3", print_hash_value);
                transparent_crc(p_1231->g_649[i][j][k].f4, "p_1231->g_649[i][j][k].f4", print_hash_value);
                transparent_crc(p_1231->g_649[i][j][k].f5, "p_1231->g_649[i][j][k].f5", print_hash_value);
                transparent_crc(p_1231->g_649[i][j][k].f6, "p_1231->g_649[i][j][k].f6", print_hash_value);
                transparent_crc(p_1231->g_649[i][j][k].f7, "p_1231->g_649[i][j][k].f7", print_hash_value);

            }
        }
    }
    transparent_crc(p_1231->g_712.f0, "p_1231->g_712.f0", print_hash_value);
    transparent_crc(p_1231->g_764.f0, "p_1231->g_764.f0", print_hash_value);
    transparent_crc(p_1231->g_855.f0, "p_1231->g_855.f0", print_hash_value);
    transparent_crc(p_1231->g_855.f1.f0, "p_1231->g_855.f1.f0", print_hash_value);
    transparent_crc(p_1231->g_855.f2, "p_1231->g_855.f2", print_hash_value);
    transparent_crc(p_1231->g_855.f3, "p_1231->g_855.f3", print_hash_value);
    transparent_crc(p_1231->g_855.f4, "p_1231->g_855.f4", print_hash_value);
    transparent_crc(p_1231->g_855.f5, "p_1231->g_855.f5", print_hash_value);
    transparent_crc(p_1231->g_855.f6, "p_1231->g_855.f6", print_hash_value);
    transparent_crc(p_1231->g_855.f7, "p_1231->g_855.f7", print_hash_value);
    transparent_crc(p_1231->g_872.f0, "p_1231->g_872.f0", print_hash_value);
    transparent_crc(p_1231->g_955.f0, "p_1231->g_955.f0", print_hash_value);
    transparent_crc(p_1231->g_988.f0, "p_1231->g_988.f0", print_hash_value);
    transparent_crc(p_1231->g_988.f1.f0, "p_1231->g_988.f1.f0", print_hash_value);
    transparent_crc(p_1231->g_988.f2, "p_1231->g_988.f2", print_hash_value);
    transparent_crc(p_1231->g_988.f3, "p_1231->g_988.f3", print_hash_value);
    transparent_crc(p_1231->g_988.f4, "p_1231->g_988.f4", print_hash_value);
    transparent_crc(p_1231->g_988.f5, "p_1231->g_988.f5", print_hash_value);
    transparent_crc(p_1231->g_988.f6, "p_1231->g_988.f6", print_hash_value);
    transparent_crc(p_1231->g_988.f7, "p_1231->g_988.f7", print_hash_value);
    transparent_crc(p_1231->g_1014, "p_1231->g_1014", print_hash_value);
    transparent_crc(p_1231->g_1099, "p_1231->g_1099", print_hash_value);
    transparent_crc(p_1231->g_1127, "p_1231->g_1127", print_hash_value);
    for (i = 0; i < 2; i++)
    {
        transparent_crc(p_1231->g_1135[i], "p_1231->g_1135[i]", print_hash_value);

    }
    transparent_crc(p_1231->g_1154.f0, "p_1231->g_1154.f0", print_hash_value);
    for (i = 0; i < 7; i++)
    {
        for (j = 0; j < 1; j++)
        {
            for (k = 0; k < 4; k++)
            {
                transparent_crc(p_1231->g_1155[i][j][k].f0, "p_1231->g_1155[i][j][k].f0", print_hash_value);

            }
        }
    }
    transparent_crc(p_1231->g_1160.f0, "p_1231->g_1160.f0", print_hash_value);
    transparent_crc(p_1231->g_1160.f1.f0, "p_1231->g_1160.f1.f0", print_hash_value);
    transparent_crc(p_1231->g_1160.f2, "p_1231->g_1160.f2", print_hash_value);
    transparent_crc(p_1231->g_1160.f3, "p_1231->g_1160.f3", print_hash_value);
    transparent_crc(p_1231->g_1160.f4, "p_1231->g_1160.f4", print_hash_value);
    transparent_crc(p_1231->g_1160.f5, "p_1231->g_1160.f5", print_hash_value);
    transparent_crc(p_1231->g_1160.f6, "p_1231->g_1160.f6", print_hash_value);
    transparent_crc(p_1231->g_1160.f7, "p_1231->g_1160.f7", print_hash_value);
    for (i = 0; i < 7; i++)
    {
        for (j = 0; j < 3; j++)
        {
            for (k = 0; k < 7; k++)
            {
                transparent_crc(p_1231->g_1187[i][j][k].f0, "p_1231->g_1187[i][j][k].f0", print_hash_value);
                transparent_crc(p_1231->g_1187[i][j][k].f1.f0, "p_1231->g_1187[i][j][k].f1.f0", print_hash_value);
                transparent_crc(p_1231->g_1187[i][j][k].f2, "p_1231->g_1187[i][j][k].f2", print_hash_value);
                transparent_crc(p_1231->g_1187[i][j][k].f3, "p_1231->g_1187[i][j][k].f3", print_hash_value);
                transparent_crc(p_1231->g_1187[i][j][k].f4, "p_1231->g_1187[i][j][k].f4", print_hash_value);
                transparent_crc(p_1231->g_1187[i][j][k].f5, "p_1231->g_1187[i][j][k].f5", print_hash_value);
                transparent_crc(p_1231->g_1187[i][j][k].f6, "p_1231->g_1187[i][j][k].f6", print_hash_value);
                transparent_crc(p_1231->g_1187[i][j][k].f7, "p_1231->g_1187[i][j][k].f7", print_hash_value);

            }
        }
    }
    transparent_crc(p_1231->g_1209.f0, "p_1231->g_1209.f0", print_hash_value);
    transparent_crc(p_1231->g_1214.f0, "p_1231->g_1214.f0", print_hash_value);
    transparent_crc(p_1231->g_1214.f1.f0, "p_1231->g_1214.f1.f0", print_hash_value);
    transparent_crc(p_1231->g_1214.f2, "p_1231->g_1214.f2", print_hash_value);
    transparent_crc(p_1231->g_1214.f3, "p_1231->g_1214.f3", print_hash_value);
    transparent_crc(p_1231->g_1214.f4, "p_1231->g_1214.f4", print_hash_value);
    transparent_crc(p_1231->g_1214.f5, "p_1231->g_1214.f5", print_hash_value);
    transparent_crc(p_1231->g_1214.f6, "p_1231->g_1214.f6", print_hash_value);
    transparent_crc(p_1231->g_1214.f7, "p_1231->g_1214.f7", print_hash_value);
    transparent_crc(p_1231->g_1219, "p_1231->g_1219", print_hash_value);
    barrier(CLK_LOCAL_MEM_FENCE | CLK_GLOBAL_MEM_FENCE);
    if (!get_linear_global_id())
        for (i = 0 ; i < 90; i++)
            transparent_crc(p_1231->g_special_values[i + 90 * get_linear_group_id()], "p_1231->g_special_values[i + 90 * get_linear_group_id()]", print_hash_value);
    barrier(CLK_LOCAL_MEM_FENCE | CLK_GLOBAL_MEM_FENCE);
    if (!get_linear_local_id())
        for (i = 0; i < 90; i++)
            transparent_crc(p_1231->l_special_values[i], "p_1231->l_special_values[i]", print_hash_value);
    result[get_linear_global_id()] = crc64_context ^ 0xFFFFFFFFFFFFFFFFUL;
}
